/*
    Created by Quo
*/
 


-- NOTE THAT THIS CODE ALWAYS RUNS FIRST


-- LOGS


-- Create a table that is used to store game options
CREATE TABLE tblQuoOptions 
(
	OptionID text PRIMARY KEY,
	Value text
);

-- Create a listing for every option players can customize in the MyOptions file
-- Note that whatever is entered for the Value here doesn't matter at all, because it gets overwritten by stuff in MyOptions.
INSERT INTO tblQuoOptions
	(OptionID, 			Value)
VALUES	('QUO_OPTION_BORDER_SPEED_AMOUNT',	'-99'),
	('QUO_OPTION_MAX_BARB_CAMPS_PER_PLAYER',	'-99'),
	('QUO_OPTION_BARB_XP_SOFTCAP',	'-99'),
	('QUO_OPTION_MIN_DISTANCE_TO_BARB_CAMPS',	'-99'),	
	('QUO_OPTION_REBELLION_CHANCE_PER_POINT',	'-99'),	
	('QUO_OPTION_SLOW_BARBARIAN_SCOUTS',	'-99'),
	('QUO_OPTION_NUM_FREE_TOKENS_MEET_CITY_STATE',	'-99'),	
	('QUO_OPTION_ENABLE_HARDCORE_SCIENCE_RULES',	'-99'),	
	('QUO_OPTION_DIPLOMACY_TIMER_DURATION',	'-99'),	
	('XAV_OPTION_BOOST_PENALTY',	'-99'), 
	('XAV_OPTION_USE_SLOWER_TECH_SPEED',	'-99') , 
	('XAV_OPTION_CAN_BUILDERS_RUSH_DISTRICTS',	'-99') ;



-- Create a table for debugging
CREATE TABLE tblQuoDebug 
(
	DebugID text -- ID for the table,
	, x_Open text -- did the file open?
	, x_Close text -- did the file close?
	, Message text -- optional place for adding a message
);

INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_AA_Setup_Code',	'1',	'0',		'') ;



-- Set up a Modifier used for bug tracking. This modifier is empty, but it keeps track of this mod for debug purposes.
-- This code is out of date and no longer used.
INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_AA_BUG_TRACK_DUMMY', 	'MODIFIER_PLAYER_DIPLOMACY_SIMPLE_MODIFIER', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 			Value,		Extra)
VALUES	('QUO_AA_BUG_TRACK_DUMMY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'0',		NULL),
 	('QUO_AA_BUG_TRACK_DUMMY', 	'File', 	'ARGTYPE_IDENTITY', 	'', 		NULL) ;



UPDATE ModifierArguments SET Value=Value || ', ORules' WHERE ModifierId='QUO_AA_BUG_TRACK_DUMMY' AND Name='File' ;




-- Code below ultimately maps to PLOT_HAS_PLANTATION_TAG_REQUIREMENTS, which is used throughout the game.
-- Make it refer to ALL plantations, not just a sub-set.

INSERT INTO TypeTags
	(Type, 	Tag)
VALUES	('RESOURCE_BANANAS', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_CITRUS', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_COTTON', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_DYES', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_SILK', 'CLASS_GODDESS_OF_FESTIVALS') ,
	('RESOURCE_SPICES', 'CLASS_GODDESS_OF_FESTIVALS'),
	('RESOURCE_SUGAR', 'CLASS_GODDESS_OF_FESTIVALS' ) ;




-- SPECIAL REQUIREMENT SETS

-- QUO_REQSET_MAJOR_CIV_ANYWHERE
-- Create a special requirement set for Major civs, even if player hasnt met them, since the main reqset for Major civs requires meeting them

INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_MAJOR_CIV_ANYWHERE', 	'REQUIREMENTSET_TEST_ANY') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_MAJOR_CIV_ANYWHERE', 	'REQUIRES_MAJOR_CIV_OPPONENT') ; 






-- UPDATE BUG TRACKER
-- This code should go last in every file

UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_AA_Setup_Code';
