/*
    Created by Quo
*/
 


-- LOGS

-- Debug
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Civ_Code',	'1',	'0',		'') ;



-- ENGLAND


-- Make the Royal Navy Dockyard no longer a replacement for the Harbor
DELETE FROM DistrictReplaces WHERE CivUniqueDistrictType = 'DISTRICT_ROYAL_NAVY_DOCKYARD' AND ReplacesDistrictType='DISTRICT_HARBOR' ;

UPDATE Districts SET PrereqCivic='CIVIC_NAVAL_TRADITION', MilitaryDomain='NO_DOMAIN', RequiresPopulation='0', CostProgressionModel='COST_PROGRESSION_GAME_PROGRESS', CostProgressionParam1='1000', Housing='3' WHERE DistrictType='DISTRICT_ROYAL_NAVY_DOCKYARD' ;


-- Unlock the Sea Dog at Naval Tradition
UPDATE Units SET PrereqCivic='CIVIC_NAVAL_TRADITION' WHERE UnitType='UNIT_ENGLISH_SEADOG' ;




-- Change Vicky's unique so that we get a free melee unit from any coastal city, not just ones on another continent



INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_VICKY_OTHER CONTINTENT', 	'REQUIREMENT_CITY_IS_OWNER_CAPITAL_CONTINENT',	0,1,0),
	('QUO_REQ_VICKY_CITY_ADJACENT_COAST', 	'REQUIREMENT_PLOT_ADJACENT_TO_COAST',	0,0,0) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_VICTORIA_FREE_MELEE', 	'REQUIREMENTSET_TEST_ANY') ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_VICTORIA_FREE_MELEE', 	'QUO_REQ_VICKY_OTHER CONTINTENT'),
	('QUO_REQSET_VICTORIA_FREE_MELEE', 	'QUO_REQ_VICKY_CITY_ADJACENT_COAST') ; 


UPDATE Modifiers SET SubjectRequirementSetId='QUO_REQSET_VICTORIA_FREE_MELEE' WHERE ModifierId='TRAIT_FREE_MELEE_UNIT_NON_HOME_CONTINENT' ;





-- RUSSIA


-- Add adjacency bonuses for Industrial Zones in Tundra

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_RUSSIA_IZ_ADJACENCY', 'MODIFIER_ALL_CITIES_TERRAIN_ADJACENCY', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_RUSSIA_IZ_ADJACENCY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ,  
	('QUO_RUSSIA_IZ_ADJACENCY', 	'Description', 	'ARGTYPE_IDENTITY', 	'QUO_LOC_RUSSIA_IZ_ADJACENCY',			NULL, 	NULL) , 
	('QUO_RUSSIA_IZ_ADJACENCY', 	'DistrictType', 'ARGTYPE_IDENTITY', 	'DISTRICT_INDUSTRIAL_ZONE',			NULL, 	NULL) ,
	('QUO_RUSSIA_IZ_ADJACENCY', 	'TerrainType', 	'ARGTYPE_IDENTITY', 	'TERRAIN_TUNDRA_HILLS',			NULL, 	NULL) ,
	('QUO_RUSSIA_IZ_ADJACENCY', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_MOTHER_RUSSIA',	'QUO_RUSSIA_IZ_ADJACENCY') ;



-- Reduce how much Peter gets from Eurekas

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_RUSSIA_LOW_BOOST_TECH', 'MODIFIER_PLAYER_ADJUST_CIVIC_BOOST', 0, 0, NULL, NULL), 
	('QUO_RUSSIA_LOW_BOOST_CIV', 'MODIFIER_PLAYER_ADJUST_TECHNOLOGY_BOOST', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_RUSSIA_LOW_BOOST_TECH', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-10',			NULL, 	NULL) , 
	('QUO_RUSSIA_LOW_BOOST_CIV', 	'Amount',	 'ARGTYPE_IDENTITY', 	'-10',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_LOW_BOOST_TECH') ,
	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_LOW_BOOST_CIV') ;





-- Give Peter an extra trade route for every Industrial Zone in Tundra.
-- Since Tundra is different from Tundra Hills we have to make sure to handle both


-- Is this an Industrial Zone?
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_INDUSTRIAL_ZONE', 	'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_INDUSTRIAL_ZONE',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_INDUSTRIAL_ZONE',	NULL,	NULL 	) ;




INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_INDUSTRIAL_ZONE', 	'REQUIREMENTSET_TEST_ALL') ,
	('QUO_REQSET_INDUSTRIAL_ZONE_HILL', 	'REQUIREMENTSET_TEST_ALL') ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_INDUSTRIAL_ZONE', 	'QUO_REQ_INDUSTRIAL_ZONE'),
	('QUO_REQSET_INDUSTRIAL_ZONE', 	'REQUIRES_PLOT_HAS_TUNDRA'),
	('QUO_REQSET_INDUSTRIAL_ZONE_HILL', 	'QUO_REQ_INDUSTRIAL_ZONE'), 
	('QUO_REQSET_INDUSTRIAL_ZONE_HILL', 	'REQUIRES_PLOT_HAS_TUNDRA_HILLS') ; 



INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_INDUSTRIAL_ZONE'),
	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE_HILL', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_INDUSTRIAL_ZONE_HILL') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, 	NULL),
	('QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE_HILL', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE'),
	('TRAIT_LEADER_GRAND_EMBASSY',	'QUO_RUSSIA_TRADE_PER_INDUSTRIAL_ZONE_HILL') ;






-- JAPAN

-- Half off electronics factories
UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_ELECTRONICS_FACTORY' ;


-- ARABIA


-- Half off Madrassas, removed in v2.9
-- UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_MADRASA' ;



-- Give Arabia 50% discount on building Shrines and Temples, so they have better synergy with their cheaper faith building
-- Removed in v2.9

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_ARABIA_CHEAP_SHRINE', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL), 
	('QUO_ARABIA_CHEAP_TEMPLE', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_ARABIA_CHEAP_SHRINE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'50',			NULL, 	NULL) , 
	('QUO_ARABIA_CHEAP_SHRINE', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_SHRINE',	NULL, 	NULL) ,
	('QUO_ARABIA_CHEAP_TEMPLE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'50',			NULL, 	NULL) , 
	('QUO_ARABIA_CHEAP_TEMPLE', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_TEMPLE',	NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_LAST_PROPHET',	'QUO_ARABIA_CHEAP_SHRINE'),
	('TRAIT_CIVILIZATION_LAST_PROPHET',	'QUO_ARABIA_CHEAP_TEMPLE') ;
*/


-- Update the amount of Science per foreign city following Arabia's religion
UPDATE ModifierArguments SET Value='2' WHERE ModifierId='TRAIT_SCIENCE_PER_FOREIGN_CITY_FOLLOWING_RELIGION' AND Name='Amount' ;



-- Lower the number of trade routes Arabia gets from Commercial Sites, get routes from Holy Sites instead

INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_COMM_ZONE', 	'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES',	0,0,0),
	('QUO_REQ_HOLY_SITE', 	'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES',	0,0,0),
	('QUO_REQ_HARBOR', 	'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES',	0,0,0),
	('QUO_REQ_CAMPUS', 	'REQUIREMENT_PLOT_DISTRICT_TYPE_MATCHES',	0,0,0) ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_COMM_ZONE',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_COMMERCIAL_HUB',	NULL,	NULL 	) ,
	('QUO_REQ_HOLY_SITE',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HOLY_SITE',	NULL,	NULL 	),
	('QUO_REQ_HARBOR',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HARBOR',	NULL,	NULL 	) ,
	('QUO_REQ_CAMPUS',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_CAMPUS',	NULL,	NULL 	)  ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_COMM_ZONE', 	'REQUIREMENTSET_TEST_ALL') ,
	('QUO_REQSET_HOLY_SITE', 	'REQUIREMENTSET_TEST_ALL') ,
	('QUO_REQSET_HARBOR', 		'REQUIREMENTSET_TEST_ALL') ,
	('QUO_REQSET_CAMPUS', 		'REQUIREMENTSET_TEST_ALL') ;



-- due to australia summer patch, we now also have to lower number of trade routes so city doesnt get 2 
INSERT INTO Requirements
	(RequirementId, 		RequirementType, 				Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_HAS_NO_HOLY_SITE', 	'REQUIREMENT_CITY_HAS_DISTRICT',	0,1,0) ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_HAS_NO_HOLY_SITE',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HOLY_SITE',	NULL,	NULL 	) ;


-- Note that we insert a few extra lines to make sure we only apply bonuses and penalties when they are appropriate. 
-- REQUIRES_NO_COMMERCIAL_HUB is reused from reqset created by Firaxis for the purpose of positive trade route bonuses.
INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_COMM_ZONE', 	'QUO_REQ_COMM_ZONE'),
	('QUO_REQSET_HOLY_SITE', 	'QUO_REQ_HOLY_SITE'),
	('QUO_REQSET_HARBOR', 	'REQUIRES_NO_COMMERCIAL_HUB'),
	('QUO_REQSET_HARBOR', 	'QUO_REQ_HARBOR'),
	('QUO_REQSET_CAMPUS', 	'QUO_REQ_CAMPUS'), 
	('QUO_REQSET_CAMPUS', 	'QUO_REQ_HAS_NO_HOLY_SITE') ; 



INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_ARABIA_TRADE_PER_COMM_ZONE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_COMM_ZONE') ,
	('QUO_ARABIA_TRADE_PER_HOLY_SITE', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_HOLY_SITE') ,
	('QUO_ARABIA_TRADE_PER_HARBOR', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_HARBOR') ,
	('QUO_ARABIA_TRADE_PER_CAMPUS', 'MODIFIER_PLAYER_DISTRICTS_ADJUST_TRADE_ROUTE_CAPACITY', 0, 0, NULL, 'QUO_REQSET_CAMPUS') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_ARABIA_TRADE_PER_COMM_ZONE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-1',			NULL, 	NULL) ,
	('QUO_ARABIA_TRADE_PER_HOLY_SITE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, 	NULL) ,
	('QUO_ARABIA_TRADE_PER_HARBOR', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-1',			NULL, 	NULL) ,
	('QUO_ARABIA_TRADE_PER_CAMPUS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'1',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_RIGHTEOUSNESS_OF_FAITH',	'QUO_ARABIA_TRADE_PER_COMM_ZONE'),
	('TRAIT_LEADER_RIGHTEOUSNESS_OF_FAITH',	'QUO_ARABIA_TRADE_PER_HOLY_SITE') ,
	('TRAIT_LEADER_RIGHTEOUSNESS_OF_FAITH',	'QUO_ARABIA_TRADE_PER_HARBOR') ,
	('TRAIT_LEADER_RIGHTEOUSNESS_OF_FAITH',	'QUO_ARABIA_TRADE_PER_CAMPUS') ;


-- Restrict Commercial Sites
INSERT INTO ExcludedDistricts 
	(DistrictType,			TraitType)
VALUES ('DISTRICT_COMMERCIAL_HUB',	'TRAIT_LEADER_RIGHTEOUSNESS_OF_FAITH') ;



-- Give Arabia +5 gold in cities with both a Holy Site and a Campus
-- new in v3.08.1 


INSERT INTO Requirements
	(RequirementId, 		RequirementType, 				Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_HAS_HOLY_SITE', 	'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) , 
	('QUO_REQ_HAS_CAMPUS', 		'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_HAS_HOLY_SITE',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_HOLY_SITE',	NULL,	NULL 	) ,
	('QUO_REQ_HAS_CAMPUS',		'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_CAMPUS',	NULL,	NULL 	) ;

INSERT INTO RequirementSets 
	(RequirementSetId, 				RequirementSetType)
VALUES 	('QUO_REQSET_HAS_HOLY_SITE_AND_CAMPUS', 	'REQUIREMENTSET_TEST_ALL') ;

INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_HAS_HOLY_SITE_AND_CAMPUS', 	'QUO_REQ_HAS_HOLY_SITE'),
	('QUO_REQSET_HAS_HOLY_SITE_AND_CAMPUS', 	'QUO_REQ_HAS_CAMPUS') ;


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_ARABIA_GOLD_FROM_TWO_DISTRICTS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'QUO_REQSET_HAS_HOLY_SITE_AND_CAMPUS') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_ARABIA_GOLD_FROM_TWO_DISTRICTS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
	('QUO_ARABIA_GOLD_FROM_TWO_DISTRICTS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_GOLD',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_RIGHTEOUSNESS_OF_FAITH',	'QUO_ARABIA_GOLD_FROM_TWO_DISTRICTS') ;




-- SUMERIA
-- The Ziggurat now provides adjacency bonuses to Industrial Zones as if it were a mine or quarry

INSERT INTO Adjacency_YieldChanges 
	(ID,				Description,				YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,	AdjacentNaturalWonder,	AdjacentImprovement,		AdjacentDistrict,	PrereqCivic,	PrereqTech,	ObsoleteCivic,	ObsoleteTech,	AdjacentResource)
VALUES	('QUO_Zig_Ham',			'QUO_LOC_ZIG_ADJ',			'YIELD_PRODUCTION',	1,		1,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_ZIGGURAT',		NULL,			NULL,		NULL,		NULL,		NULL,		0) ;

INSERT INTO District_Adjacencies
	(DistrictType,	YieldChangeId)
VALUES	('DISTRICT_INDUSTRIAL_ZONE', 'QUO_Zig_Ham') ; 



-- Give Sumeria a permanent +10 bonus to fighting Barbarians
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SUMERIA_BARBARIANS', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_SUMERIA_BARBARIANS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'10',		NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('TRAIT_CIVILIZATION_FIRST_CIVILIZATION',	'QUO_SUMERIA_BARBARIANS') ;



-- Nerf the War Cart by delaying it 
UPDATE Units SET PrereqTech=NULL, PrereqCivic='CIVIC_FOREIGN_TRADE' WHERE UnitType='UNIT_SUMERIAN_WAR_CART' ; 



-- CHINA
-- Great Wall now gives +0.5 as an adjacency bonus to districts it borders

INSERT INTO Adjacency_YieldChanges 
	(ID,				Description,				YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,	AdjacentNaturalWonder,	AdjacentImprovement,		AdjacentDistrict,	PrereqCivic,	PrereqTech,	ObsoleteCivic,	ObsoleteTech,	AdjacentResource)
VALUES	('QUO_GreatWall_Ham',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_PRODUCTION',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Cul',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_CULTURE',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Fai',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_FAITH',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Sci',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_SCIENCE',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0), 
	('QUO_GreatWall_Gold',		'QUO_LOC_GREATWALL_ADJ',		'YIELD_GOLD',	1,		2,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_GREAT_WALL',	NULL,			NULL,		NULL,		NULL,		NULL,		0) ;

INSERT INTO District_Adjacencies
	(DistrictType,	YieldChangeId)
VALUES	('DISTRICT_HOLY_SITE', 'QUO_GreatWall_Fai'), 
	('DISTRICT_THEATER', 'QUO_GreatWall_Cul'),
	('DISTRICT_COMMERCIAL_HUB', 'QUO_GreatWall_Gold'),
	('DISTRICT_INDUSTRIAL_ZONE', 'QUO_GreatWall_Ham'),
	('DISTRICT_CAMPUS', 'QUO_GreatWall_Sci') ; 



-- GREECE

-- Hoplites
-- Create a new ability that damages melee units


-- Is this a melee unit we are attacking?
INSERT INTO Requirements
	(RequirementId, 	RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_OPPONENT_MELEE', 	'REQUIREMENT_OPPONENT_UNIT_PROMOTION_CLASS_MATCHES',	0,0,0) ;


INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_OPPONENT_MELEE',	'UnitPromotionClass',	'ARGTYPE_IDENTITY',	'PROMOTION_CLASS_MELEE',	NULL,	NULL 	) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 	RequirementSetType)
VALUES 	('QUO_REQSET_OPPONENT_MELEE', 'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_OPPONENT_MELEE', 'QUO_REQ_OPPONENT_MELEE') ;


-- The modifier
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_ANTI_MELEE', 'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH', 0, 0, NULL, 'QUO_REQSET_OPPONENT_MELEE') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_MOD_ANTI_MELEE', 		'Amount', 	'ARGTYPE_IDENTITY', 	'10',		NULL, 	NULL) ;


-- Create the ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABI_ANTI_MELEE',		'KIND_ABILITY'	) ;


INSERT INTO UnitAbilities
	(UnitAbilityType, 	Name, 				Description, 					Inactive)
VALUES 	('QUO_ABI_ANTI_MELEE', 	'QUO_LOC_ABI_ANTI_MELEE',	'QUO_LOC_ABILITY_ANTI_CAVALRY_DESCRIPTION', 	0) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 	ModifierId)
VALUES 	('QUO_ABI_ANTI_MELEE',	'QUO_MOD_ANTI_MELEE') ;	 



-- Tie the ability to the unit
INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABI_ANTI_MELEE', 			'CLASS_HOPLITE') ;



-- Add a string to describe the ability in combat previews
INSERT INTO ModifierStrings
	(ModifierId, 		Context, Text)
VALUES	('QUO_MOD_ANTI_MELEE', 'Preview', 'QUO_LOC_ABILITY_ANTI_MELEE_MODIFIER_DESCRIPTION') ;







-- Pericles only
-- Let Pericles accumulate influence points when not at war

INSERT INTO Modifiers
	(ModifierID, 				ModifierType, 						RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_PERICLES_EXTRA_INFLUENCE', 	'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 	0, 		0, 		NULL,			'PLAYER_IS_AT_PEACE_WITH_ALL_MAJORS') ;


INSERT INTO ModifierArguments
	(ModifierID,				Name,		Type, 				Value,			Extra)
VALUES	('QUO_PERICLES_EXTRA_INFLUENCE', 	'Amount', 	'ARGTYPE_IDENTITY', 		'3',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_LEADER_SURROUNDED_BY_GLORY',	'QUO_PERICLES_EXTRA_INFLUENCE') ;





-- Gorgo only
-- Let Gorgo accumulate influence points when at war


-- We have to make a requirement since none appears to exist

INSERT INTO Requirements
	(RequirementId, 	RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_AT_WAR_WITH_MAJOR', 	'REQUIREMENT_PLAYER_IS_AT_PEACE_WITH_ALL_MAJORS',	0,1,0) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 	RequirementSetType)
VALUES 	('QUO_REQSET_AT_WAR_WITH_MAJOR', 	'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_AT_WAR_WITH_MAJOR', 	'QUO_REQ_AT_WAR_WITH_MAJOR') ;




INSERT INTO Modifiers
	(ModifierID, 				ModifierType, 						RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_GORGO_EXTRA_INFLUENCE', 		'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 	0, 		0, 		NULL,			'QUO_REQSET_AT_WAR_WITH_MAJOR') ;


INSERT INTO ModifierArguments
	(ModifierID,				Name,		Type, 				Value,			Extra)
VALUES	('QUO_GORGO_EXTRA_INFLUENCE', 		'Amount', 	'ARGTYPE_IDENTITY', 		'3',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('CULTURE_KILLS_TRAIT',			'QUO_GORGO_EXTRA_INFLUENCE') ;




-- ROME
-- Slightly boost Roman legions since Swordsmen got buffed, and give them the Anti-Melee ability 
UPDATE Units SET Combat='43' WHERE UnitType='UNIT_ROMAN_LEGION' ;



-- Anti-Melee ability
INSERT INTO Tags 
	(Tag, 				Vocabulary)
VALUES 	('QUO_CLASS_ROMAN_LEGION',	'ABILITY_CLASS'	) ;


INSERT INTO TypeTags
	(Type,				Tag)
VALUES	('UNIT_ROMAN_LEGION', 		'QUO_CLASS_ROMAN_LEGION') ;


INSERT INTO TypeTags
	(Type,				Tag)
VALUES  ('QUO_ABI_ANTI_MELEE', 		'QUO_CLASS_ROMAN_LEGION') ;





-- NORWAY

-- Half off Stave Churches, removed in v2.9
-- UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_STAVE_CHURCH' ;


-- Norway now builds Stave Churches (temple replacement) in the city center, without needing a Holy District. Prereq is now the Monument.

UPDATE Buildings SET PrereqDistrict='DISTRICT_CITY_CENTER' WHERE BuildingType='BUILDING_STAVE_CHURCH' ;

UPDATE BuildingPrereqs SET PrereqBuilding='BUILDING_MONUMENT' WHERE Building='BUILDING_STAVE_CHURCH' ;

-- Update the Stave Church so the extra faith is derived from the city center rather than Holy district
-- removed, since it doesn't work predictably
-- UPDATE ModifierArguments SET Value='DISTRICT_CITY_CENTER' WHERE Name='DistrictType' AND ModifierId='STAVE_CHURCH_FAITHWOODSADJACENCY' ;


-- Change the yields of the building
UPDATE Building_YieldChanges SET YieldChange='2' WHERE YieldType='YIELD_FAITH' AND BuildingType='BUILDING_STAVE_CHURCH' ;

INSERT INTO Building_YieldChanges (
                                      BuildingType,
                                      YieldType,
                                      YieldChange
                                  )
                                  VALUES (
                                      'BUILDING_STAVE_CHURCH',
                                      'YIELD_CULTURE',
                                      '1'
                                  );



INSERT INTO Building_YieldChanges (
                                      BuildingType,
                                      YieldType,
                                      YieldChange
                                  )
                                  VALUES (
                                      'BUILDING_STAVE_CHURCH',
                                      'YIELD_PRODUCTION',
                                      '1'
                                  );


-- Allow Norway to violate Closed Borders with any ship

INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS', 	'MODIFIER_PLAYER_UNIT_ADJUST_ENTER_FOREIGN_LANDS', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS', 	'Enter', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) ;




-- Modifier 2 for the application
INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS_2', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'REQUIREMENTS_UNIT_SEA_DOMAIN') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_BOATS_IGNORE_BORDERS_2', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_MOD_BOATS_IGNORE_BORDERS',			NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_MELEE_COASTAL_RAIDS',	'QUO_MOD_BOATS_IGNORE_BORDERS_2') ;


-- Remove prereqs for Viking Longship

UPDATE Units SET PrereqTech=NULL WHERE UnitType='UNIT_NORWEGIAN_LONGSHIP' ;


-- Give Norway a free boat when settling on Oceans

INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_NORWAY_CITY_ADJACENT_COAST', 	'REQUIREMENT_PLOT_ADJACENT_TO_COAST',	0,0,0) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 			RequirementSetType)
VALUES 	('QUO_REQSET_NORWAY_FREE_BOAT', 	'REQUIREMENTSET_TEST_ANY') ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_NORWAY_FREE_BOAT', 	'QUO_REQ_NORWAY_CITY_ADJACENT_COAST') ; 



INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_NORWAY_FREE_BOAT', 	'MODIFIER_PLAYER_CITIES_GRANT_UNIT_BY_CLASS', 0, 0, NULL, 'QUO_REQSET_NORWAY_FREE_BOAT') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_MOD_NORWAY_FREE_BOAT', 	'UnitPromotionClassType', 	'ARGTYPE_IDENTITY', 	'PROMOTION_CLASS_NAVAL_MELEE',		NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_LEADER_MELEE_COASTAL_RAIDS',	'QUO_MOD_NORWAY_FREE_BOAT') ;




-- AMERICA

-- Half off film studios, removed in v2.9
-- UPDATE Buildings SET Cost=Cost*0.5 WHERE BuildingType='BUILDING_FILM_STUDIO' ;



-- Lower the cost of purchasing tiles

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AMERICA_PLOTPURCHASECOST', 'MODIFIER_PLAYER_CITIES_ADJUST_PLOT_PURCHASE_COST', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_PLOTPURCHASECOST', 'Amount', 	'ARGTYPE_IDENTITY', 	'-20',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS',	'QUO_AMERICA_PLOTPURCHASECOST') ;




-- Give American units extra vision


-- Types and tag types to tell us which units will eventually get this ability
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_ABILITY_EXTRA_VISION',	'KIND_ABILITY'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES  ('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RECON'), 
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_MELEE'), 
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RANGED'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_SIEGE'),
 	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_HEAVY_CAVALRY'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_RANGED_CAVALRY'),
	('QUO_ABILITY_EXTRA_VISION', 		'CLASS_ANTI_CAVALRY') ;
 



-- the vision modifier itself, including the amount of the bonus
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_SPYGLASS', 		'MODIFIER_PLAYER_UNIT_ADJUST_SIGHT', 	0, 		0, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_SPYGLASS', 		'Amount', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ;





-- the ability containing the vision modifier
INSERT INTO UnitAbilities
	(UnitAbilityType,		Name,				Description,			Inactive)
VALUES	('QUO_ABILITY_EXTRA_VISION',	'QUO_LOC_EXTRA_VISION',		'QUO_LOC_EXTRA_VISION_DESC',	"1"	) ;


INSERT INTO UnitAbilityModifiers
	(UnitAbilityType, 			ModifierId)
VALUES 	('QUO_ABILITY_EXTRA_VISION', 		'QUO_SPYGLASS');




-- Associate the new ability with America
INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_AMERICA_ABILITY', 	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY', 	0, 		1, 		NULL, 			NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_ABILITY', 	'AbilityType', 	'ARGTYPE_IDENTITY', 	'QUO_ABILITY_EXTRA_VISION',	NULL, 	NULL) ;



INSERT INTO TraitModifiers
	(TraitType, 					ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS',			'QUO_AMERICA_ABILITY') ;
	



-- After building a film studio, America can build any improvement available to other civs
-- Eventually add IMPROVEMENT_ALCAZAR and IMPROVEMENT_MONASTERY from DLC?


INSERT INTO Modifiers 
	(ModifierId, 			ModifierType, 				RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_AMERICA_ENABLE_FAKE_SPHINX', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL),
	('QUO_AMERICA_ENABLE_FAKE_MISSION', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_CHATEAU', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_GREAT_WALL', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_STEPWELL', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_ZIGGURAT', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) , 
	('QUO_AMERICA_ENABLE_FAKE_KURGAN', 	'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) , 
	('QUO_AMERICA_ENABLE_FAKE_COLOSSAL_HEAD', 'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 	0, 		0, 		NULL, 			NULL) ;



INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES	('QUO_AMERICA_ENABLE_FAKE_SPHINX', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_SPHINX',		NULL, 	NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_MISSION', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_MISSION',		NULL, 	NULL),
	('QUO_AMERICA_ENABLE_FAKE_CHATEAU', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_CHATEAU',		NULL, 	NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_GREAT_WALL', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_GREAT_WALL',	NULL, 	NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_STEPWELL', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_STEPWELL',		NULL, 	NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_ZIGGURAT', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_ZIGGURAT',		NULL, 	NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_KURGAN', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_KURGAN',		NULL, 	NULL) ,
	('QUO_AMERICA_ENABLE_FAKE_COLOSSAL_HEAD', 'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_COLOSSAL_HEAD',	NULL, 	NULL) ;



INSERT INTO BuildingModifiers
	(BuildingType, 					ModifierID)
VALUES	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_SPHINX') ,
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_MISSION') , 
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_CHATEAU') , 
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_GREAT_WALL') , 
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_STEPWELL') , 
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_ZIGGURAT') , 
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_KURGAN') , 
 	('BUILDING_FILM_STUDIO',			'QUO_AMERICA_ENABLE_FAKE_COLOSSAL_HEAD') ;








-- EGYPT



-- Give Cleo extra maximum Traders
INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_EGYPT_EXTRA_TRADERS', 	'MODIFIER_PLAYER_ADJUST_TRADE_ROUTE_CAPACITY', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,		Type, 				Value,			Extra)
VALUES	('QUO_EGYPT_EXTRA_TRADERS', 	'Amount', 	'ARGTYPE_IDENTITY', 		'2',			NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_LEADER_MEDITERRANEAN',	'QUO_EGYPT_EXTRA_TRADERS') ;




-- Increase the bonus for building on a river
UPDATE ModifierArguments SET Value='30' WHERE ModifierId='TRAIT_RIVER_FASTER_BUILDTIME_DISTRICT' AND Name='Amount' ;
UPDATE ModifierArguments SET Value='30' WHERE ModifierId='TRAIT_RIVER_FASTER_BUILDTIME_WONDER' AND Name='Amount' ;



-- Make the Sphinx provide adjacencies for Holy and Theater districts

INSERT INTO Adjacency_YieldChanges 
	(ID,				Description,				YieldType,		YieldChange,	TilesRequired,	OtherDistrictAdjacent,	AdjacentSeaResource,	AdjacentTerrain,	AdjacentFeature,	AdjacentRiver,	AdjacentWonder,	AdjacentNaturalWonder,	AdjacentImprovement,		AdjacentDistrict,	PrereqCivic,	PrereqTech,	ObsoleteCivic,	ObsoleteTech,	AdjacentResource)
VALUES	('QUO_Sphinx_Cult',		'QUO_LOC_SPHINX_CULT_ADJ',		'YIELD_CULTURE',	1,		1,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_SPHINX',		NULL,			NULL,		NULL,		NULL,		NULL,		0) ,
	('QUO_Sphinx_Fai',		'QUO_LOC_SPHINX_FAI_ADJ',		'YIELD_FAITH',		1,		1,		0,			0,			NULL,			NULL,			0,		0,		0,			'IMPROVEMENT_SPHINX',		NULL,			NULL,		NULL,		NULL,		NULL,		0) ;


INSERT INTO District_Adjacencies
	(DistrictType,	YieldChangeId)
VALUES	('DISTRICT_HOLY_SITE', 'QUO_Sphinx_Fai') , 
	('DISTRICT_THEATER', 'QUO_Sphinx_Cult') ; 


-- Lower cost of Chariot Archer
UPDATE Units SET Cost='80' WHERE UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER' ;


-- Update the Chariot Archer so that it can move and attack, like a Cossack

INSERT INTO Tags 
	(Tag, 				Vocabulary)
VALUES 	('QUO_CLASS_EGYPT_CHARIOT',	'ABILITY_CLASS'	) ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES	('UNIT_EGYPTIAN_CHARIOT_ARCHER', 	'QUO_CLASS_EGYPT_CHARIOT') ;


INSERT INTO TypeTags
	(Type,					Tag)
VALUES	('ABILITY_COSSACK', 			'QUO_CLASS_EGYPT_CHARIOT') ;


-- Lower its attack power because otherwise it is way too strong
UPDATE Units SET Combat='15', RangedCombat='26' WHERE UnitType='UNIT_EGYPTIAN_CHARIOT_ARCHER' ;



-- FRANCE

-- CHATEAU: Change pre-req civic to Drama and Poetry. +1 Housing. Tourism bonus now unlocks with Humanism.
UPDATE Improvements SET PrereqCivic='CIVIC_DRAMA_POETRY', Housing='1' WHERE ImprovementType='IMPROVEMENT_CHATEAU' ;


UPDATE Improvement_Tourism SET PREREQTECH=NULL, PREREQCIVIC='CIVIC_HUMANISM' WHERE ImprovementType='IMPROVEMENT_CHATEAU' ;


-- Update the tech that unlocks Spies
UPDATE RequirementArguments SET Value='TECH_ASTROLOGY' WHERE RequirementId='REQUIRES_TECHNOLOGY_CASTLES' AND Name='TechnologyType' ;




-- Make the Chateau a Culture Bomb

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
VALUES	('QUO_CHATEAU_CULTURE_BOMB', 	'MODIFIER_PLAYER_ADD_CULTURE_BOMB_TRIGGER', 	0, 		0, 		NULL,			NULL) ;


INSERT INTO ModifierArguments
	(ModifierID,			Name,			Type, 			Value,			Extra)
VALUES	('QUO_CHATEAU_CULTURE_BOMB', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'IMPROVEMENT_CHATEAU',	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
VALUES	('TRAIT_LEADER_MAJOR_CIV',		'QUO_CHATEAU_CULTURE_BOMB') ;



-- Lower cost of spies

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_FRANCE_CHEAP_SPY', 'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_FRANCE_CHEAP_SPY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'100',			NULL, 	NULL) , 
	('QUO_FRANCE_CHEAP_SPY', 	'UnitType', 	'ARGTYPE_IDENTITY', 	'UNIT_SPY',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('FLYING_SQUADRON_TRAIT',	'QUO_FRANCE_CHEAP_SPY') ;




-- SPAIN

-- MISSION: Make this unlock earlier. Now buildable on forest or jungle. Science bonus now starts at 1 and improves by 1 at the respective tech
UPDATE Improvements SET PrereqCivic='CIVIC_THEOLOGY' WHERE ImprovementType='IMPROVEMENT_MISSION' ;

UPDATE Improvement_BonusYieldChanges SET BonusYieldChange='1' WHERE ImprovementType='IMPROVEMENT_MISSION' AND YieldType='YIELD_SCIENCE' ;
UPDATE Improvement_YieldChanges SET YieldChange='1' WHERE ImprovementType='IMPROVEMENT_MISSION' AND YieldType = 'YIELD_SCIENCE' ;


INSERT INTO Improvement_ValidFeatures
	(	ImprovementType, 	FeatureType)  	
VALUES	(	'IMPROVEMENT_MISSION', 	'FEATURE_FOREST') ,
	(	'IMPROVEMENT_MISSION',	'FEATURE_JUNGLE') ;


-- Give Spain a discount on Holy districts
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_EL_ESCORIAL',	'TRAIT_BOOST_HOLY_SITE_PRODUCTION') ;



-- Cities of Gold
-- Give an adjacency bonus for Commercial Zones next to Natural Wonders
-- We don't know what Natural Wonders the player may have installed from DLC, so we have to scan the database and dynamically add them
-- Each modifier will receive a concat name based on its Feature type, e.g. QUO_SPAIN_ADJACENCY_COM_FEATURE_BARRIER_REEF

INSERT INTO Modifiers
	(ModifierID, 			ModifierType, 					RunOnce, 	Permanent, 	OwnerRequirementSetId, 	SubjectRequirementSetId)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 	            'MODIFIER_PLAYER_CITIES_FEATURE_ADJACENCY', 	0, 		0, 		NULL,			'PLOT_NOT_OWNER_CAPITAL_CONTINENT_REQUIREMENTS'
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'Description', 	'ARGTYPE_IDENTITY', 	'QUO_LOC_SPAIN_ADJACENCY_COM',			NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'DistrictType', 	'ARGTYPE_IDENTITY', 	'DISTRICT_COMMERCIAL_HUB',		NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'FeatureType', 	'ARGTYPE_IDENTITY', 	Features.FeatureType,		NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO ModifierArguments
	(ModifierId, 						Name, 		Type, 			Value, 			Extra, 	SecondExtra)
SELECT	'QUO_SPAIN_ADJACENCY_COM_' || FeatureType, 		'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_GOLD',		NULL, 	NULL
	FROM Features WHERE Features.NaturalWonder=1 ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT  'TRAIT_CIVILIZATION_TREASURE_FLEET', 'QUO_SPAIN_ADJACENCY_COM_' || FeatureType
	FROM Features WHERE Features.NaturalWonder=1 ;






-- BRAZIL 


-- Increase city population by 1 when the Street Carnival is built

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BRAZIL_FREE_POPULATION', 'MODIFIER_PLAYER_NEAREST_CITY_ADD_POPULATION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_BRAZIL_FREE_POPULATION', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',		NULL, 	NULL) ;


INSERT INTO DistrictModifiers
	(DistrictType, 			ModifierID)
VALUES	('DISTRICT_STREET_CARNIVAL',	'QUO_BRAZIL_FREE_POPULATION') ;

*/




-- Each Street Carnival built increases total Growth % by +3

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_CARNIVAL_GROWTH', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_GROWTH', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_CARNIVAL_GROWTH', 	'Amount', 		'ARGTYPE_IDENTITY', 	'3',		NULL, 	NULL)  ;


INSERT INTO DistrictModifiers
	(DistrictType, 			ModifierID)
VALUES	('DISTRICT_STREET_CARNIVAL',	'QUO_CARNIVAL_GROWTH')  ;



-- Brazilwood camp

-- Note that the trait QUO_TRAIT_CAN_BUILD_BRAZILWOOD_CAMP is never directly assigned to Brazil--exists to stop people from building this improvement without the project
INSERT INTO Types 
	(Type, 						Kind)
VALUES 	('QUO_IMPROVEMENT_BRAZILWOOD_CAMP', 		'KIND_IMPROVEMENT') , 
	('QUO_TRAIT_CAN_BUILD_BRAZILWOOD_CAMP', 	'KIND_TRAIT') ;


INSERT INTO Traits 
	(TraitType,				Name,							Description,						InternalOnly)
VALUES ('QUO_TRAIT_CAN_BUILD_BRAZILWOOD_CAMP',	'LOC_QUO_TRAIT_CAN_BUILD_BRAZILWOOD_CAMP',		'LOC_QUO_TRAIT_CAN_BUILD_BRAZILWOOD_CAMP_DESCRIPTION',	0) ;


INSERT INTO Improvements
	(ImprovementType, 			Name, 						Buildable, 	Description, 						PlunderType, 	PlunderAmount, 	Icon, 				TraitType,	Appeal)
VALUES 	('QUO_IMPROVEMENT_BRAZILWOOD_CAMP',	'QUO_LOC_IMPROVEMENT_BRAZILWOOD_CAMP_NAME',	1,		'QUO_LOC_IMPROVEMENT_BRAZILWOOD_CAMP_DESCRIPTION',	'PLUNDER_GOLD',	'50',		'ICON_IMPROVEMENT_CAMP',	'QUO_TRAIT_CAN_BUILD_BRAZILWOOD_CAMP',		0) ;


INSERT INTO Improvement_ValidFeatures
	(	ImprovementType, 			FeatureType)  	
VALUES	(	'QUO_IMPROVEMENT_BRAZILWOOD_CAMP',	'FEATURE_JUNGLE') ;


INSERT INTO Improvement_ValidBuildUnits
	(	ImprovementType, 			UnitType)  	
VALUES	(	'QUO_IMPROVEMENT_BRAZILWOOD_CAMP',	'UNIT_BUILDER') ;


INSERT INTO Improvement_YieldChanges 
	(ImprovementType,			YieldType,		YieldChange)
VALUES  ('QUO_IMPROVEMENT_BRAZILWOOD_CAMP',	'YIELD_GOLD',		'1') ;




-- The Brazilwood project
-- Give access to the Brazilwood improvement and convert slots to Wildcards


INSERT INTO Types 
	(Type, 					Kind)
VALUES 	('QUO_PROJECT_BRAZILWOOD', 		'KIND_PROJECT') ;


INSERT INTO Projects
	(ProjectType, 			Name,				ShortName,				Description,					Cost,	PrereqTech,		MaxPlayerInstances,	PrereqDistrict)
VALUES ('QUO_PROJECT_BRAZILWOOD',	'QUO_PROJECT_BRAZILWOOD_NAME',	'QUO_PROJECT_BRAZILWOOD_SHORT_NAME',	'QUO_PROJECT_BRAZILWOOD_DESCRIPTION',		400,	'TECH_PRINTING',	1,			'DISTRICT_STREET_CARNIVAL');



INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE', 'MODIFIER_PLAYER_ADJUST_VALID_IMPROVEMENT', 0, 0, NULL, NULL) ,	
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_WAR_SLOT', 'MODIFIER_PLAYER_CULTURE_REPLACE_GOVERNMENT_SLOTS', 0, 0, NULL, NULL) ,
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_ECON_SLOT', 'MODIFIER_PLAYER_CULTURE_REPLACE_GOVERNMENT_SLOTS', 0, 0, NULL, NULL) ,
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_DIPLO_SLOT', 'MODIFIER_PLAYER_CULTURE_REPLACE_GOVERNMENT_SLOTS', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 					Name, 			Type, 			Value, 	Extra, 	SecondExtra)
VALUES	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE', 	'ImprovementType', 	'ARGTYPE_IDENTITY', 	'QUO_IMPROVEMENT_BRAZILWOOD_CAMP',	NULL, 	NULL) ,
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_WAR_SLOT', 	'AddedGovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_WILDCARD',	NULL, 	NULL) ,
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_WAR_SLOT', 	'ReplacedGovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_MILITARY',	NULL, 	NULL) ,	
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_ECON_SLOT', 	'AddedGovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_WILDCARD',	NULL, 	NULL) ,
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_ECON_SLOT', 	'ReplacedGovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_ECONOMIC',	NULL, 	NULL) ,	
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_DIPLO_SLOT', 	'AddedGovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_WILDCARD',	NULL, 	NULL) ,
	('QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_DIPLO_SLOT', 	'ReplacedGovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_DIPLOMATIC',	NULL, 	NULL) ;


-- slots are suppressed for now until I decide what to do with them
INSERT INTO ProjectCompletionModifiers
	(ProjectType, 			ModifierID)
VALUES	('QUO_PROJECT_BRAZILWOOD',	'QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE') ;
	-- ('QUO_PROJECT_BRAZILWOOD',	'QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_WAR_SLOT') ,
	-- ('QUO_PROJECT_BRAZILWOOD',	'QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_ECON_SLOT') ,
	-- ('QUO_PROJECT_BRAZILWOOD',	'QUO_MODIFIER_BRAZILWOOD_PROJECT_COMPLETE_DIPLO_SLOT') ;




-- Brazilian Government Penalty
-- Brazil gets one fewer Government policy than other players until they complete their special project. 
-- To do this, take one slot away from all governments in the game and give each player a bonus everyone except Brazil gets.
-- Has to be Wildcard because this is the only slot type every government provides.

-- This feature was removed because there is no way to remove slots with a modifier, only add them. The workaround implemented
-- below resulted in oddness on the Government screens.

/*
UPDATE Government_SlotCounts SET NumSlots=NumSlots-1 WHERE GovernmentSlotType='SLOT_WILDCARD' AND NumSlots <=1 ;

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MODIFIER_RESTORE_LOST_CARD', 'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MODIFIER_RESTORE_LOST_CARD', 	'GovernmentSlotType', 	'ARGTYPE_IDENTITY', 	'SLOT_WILDCARD',	NULL, 	NULL) ;
*/


-- This works at least as of the Australia patch. May need to keep an eye on how custom civs are made. There is a chance this could fail
-- if a bunch of civs are given more than one Trait with attached Modifiers. Ideally we should at least check to be sure all civs are 
-- included and none are duplicated.


/*
CREATE TEMPORARY TABLE tbl_Quo_LeaderTraits AS SELECT DISTINCT Traits.Traittype
   	FROM Traits
                                                      INNER JOIN
                                                      Civilizationtraits ON Civilizationtraits.TraitType = Traits.TraitType
                                                      INNER JOIN
                                                      Civilizations ON Civilizationtraits.CivilizationType = Civilizations.CivilizationType
                                                      INNER JOIN
                                                      TraitModifiers ON TraitModifiers.TraitType = Traits.TraitType
                                                WHERE Civilizations.StartingCivilizationLevelType = 'CIVILIZATION_LEVEL_FULL_CIV';



-- remove Brazil from the list before doing the insert
DELETE FROM tbl_Quo_LeaderTraits WHERE TraitType='TRAIT_CIVILIZATION_AMAZON' ;


INSERT INTO TraitModifiers
	(TraitType, 				ModifierID)
SELECT   tbl_Quo_LeaderTraits.TraitType, 	'QUO_MODIFIER_RESTORE_LOST_CARD' 
FROM     tbl_Quo_LeaderTraits ;
*/





-- INDIA

-- India starts with free faith, scaled by game speed


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_INDIA_FREE_STARTING_FAITH', 'MODIFIER_PLAYER_GRANT_YIELD', 1, 1, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_INDIA_FREE_STARTING_FAITH', 	'Amount', 	'ScaleByGameSpeed', 	'30',		NULL, 	NULL),
	('QUO_INDIA_FREE_STARTING_FAITH', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FAITH',	NULL, 	NULL)  ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_DHARMA',	'QUO_INDIA_FREE_STARTING_FAITH')  ;




-- JAPAN

-- Building one of your discounted districts adds bonus GPP toward Great Generals
-- Coded out because this doesn't seem to work


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_JAPAN_THEATER_GLOBAL', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_JAPAN_HOLY_SITE_GLOBAL', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_JAPAN_ENCAMPMENT_GLOBAL', 'MODIFIER_PLAYER_CITIES_ATTACH_MODIFIER', 0, 0, NULL, NULL) ,
	('QUO_JAPAN_THEATER_GENERAL', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_THEATER'),
	('QUO_JAPAN_HOLY_SITE_GENERAL', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_HOLY_SITE'),
	('QUO_JAPAN_ENCAMPMENT_GENERAL', 'MODIFIER_SINGLE_CITY_DISTRICTS_ADJUST_GREAT_PERSON_POINTS', 0, 0, NULL, 'DISTRICT_IS_ENCAMPMENT') ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_JAPAN_THEATER_GLOBAL', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_JAPAN_THEATER_GENERAL',	NULL, 	NULL) ,	
	('QUO_JAPAN_HOLY_SITE_GLOBAL', 		'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_JAPAN_HOLY_SITE_GENERAL',	NULL, 	NULL) ,
	('QUO_JAPAN_ENCAMPMENT_GLOBAL', 	'ModifierId', 		'ARGTYPE_IDENTITY', 	'QUO_JAPAN_ENCAMPMENT_GENERAL',	NULL, 	NULL) ,
	('QUO_JAPAN_THEATER_GENERAL', 		'Amount', 		'ARGTYPE_IDENTITY', 	'1',		NULL, 	NULL) , 
	('QUO_JAPAN_THEATER_GENERAL', 		'GreatPersonClassType', 'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_GENERAL',		NULL, 	NULL) , 
	('QUO_JAPAN_HOLY_SITE_GENERAL', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',		NULL, 	NULL) , 
	('QUO_JAPAN_HOLY_SITE_GENERAL', 	'GreatPersonClassType', 'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_GENERAL',		NULL, 	NULL) , 
	('QUO_JAPAN_ENCAMPMENT_GENERAL', 	'Amount', 		'ARGTYPE_IDENTITY', 	'1',		NULL, 	NULL) , 
	('QUO_JAPAN_ENCAMPMENT_GENERAL', 	'GreatPersonClassType', 'ARGTYPE_IDENTITY', 	'GREAT_PERSON_CLASS_GENERAL',		NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_LEADER_DIVINE_WIND',	'QUO_JAPAN_THEATER_GLOBAL') ,
	('TRAIT_LEADER_DIVINE_WIND',	'QUO_JAPAN_HOLY_SITE_GLOBAL') ,
	('TRAIT_LEADER_DIVINE_WIND',	'QUO_JAPAN_ENCAMPMENT_GLOBAL') ;



-- Give Samurai units Stealth
-- Originally this was to only work on Coastal tiles. However, requirements don't seem to work properly with stealth, so just give it to the unit all of the time

INSERT INTO Requirements
	(RequirementId, 		RequirementType, 	Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_JAPAN_UNSTEALTH', 	'REQUIREMENT_UNIT_ON_COAST',	0,1,0) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 		RequirementSetType)
VALUES 	('QUO_REQSET_JAPAN_UNSTEALTH', 	'REQUIREMENTSET_TEST_ALL') ;



INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_JAPAN_UNSTEALTH', 	'QUO_REQ_JAPAN_UNSTEALTH') ; 



INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SAMURAI_STEALTH', 'MODIFIER_PLAYER_UNIT_ADJUST_HIDDEN_VISIBILITY', 0, 0, NULL, NULL) ,
	('QUO_SAMURAI_UNSTEALTH', 'MODIFIER_PLAYER_UNIT_ADJUST_HIDDEN_VISIBILITY', 0, 0, NULL, 'QUO_REQSET_JAPAN_UNSTEALTH') ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_SAMURAI_STEALTH', 		'Hidden', 		'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL) ,
	('QUO_SAMURAI_UNSTEALTH', 		'Hidden', 		'ARGTYPE_IDENTITY', 	'0',	NULL, 	NULL) ;

INSERT INTO UnitAbilityModifiers
	(UnitAbilityType,	ModifierId)
VALUES	('ABILITY_SAMURAI', 	'QUO_SAMURAI_STEALTH') ;
	--	('ABILITY_SAMURAI', 	'QUO_SAMURAI_UNSTEALTH') ;



-- GERMANY

-- Germany gets +1 production per district after the fourth district. To make this work, we deduct 3 points from production, then re-add it.


-- +1 production per district constructed, only applies after third district is built

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_GERMANY_HAMMERS_PER_DISTRICT', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_PER_DISTRICT', 0, 0, NULL, 'CITY_HAS_3_SPECIALTY_DISTRICTS_REQUIREMENTS') ;



INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_GERMANY_HAMMERS_PER_DISTRICT', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
	('QUO_GERMANY_HAMMERS_PER_DISTRICT', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_IMPERIAL_FREE_CITIES',	'QUO_GERMANY_HAMMERS_PER_DISTRICT') ;



-- -3 production in all cities to balance out the bonus above


INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_GERMANY_LOST_HAMMERS', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_CHANGE', 0, 0, NULL, 'CITY_HAS_3_SPECIALTY_DISTRICTS_REQUIREMENTS') ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_GERMANY_LOST_HAMMERS', 	'Amount', 	'ARGTYPE_IDENTITY', 	'-3',			NULL, 	NULL) , 
	('QUO_GERMANY_LOST_HAMMERS', 	'YieldType',	 'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_IMPERIAL_FREE_CITIES',	'QUO_GERMANY_LOST_HAMMERS') ;



-- AZTEC

-- Tlachtli gives the City Center walls
-- Add the description tag to the game, bc Firaxis left it off in the gameplay database even tho it is in the config

UPDATE Buildings SET OuterDefenseStrength=2, OuterDefenseHitPoints=40, Description='LOC_BUILDING_TLACHTLI_DESCRIPTION' WHERE BuildingType='BUILDING_TLACHTLI' ;



-- Allow the Aztecs to build the Templo Mayor

INSERT INTO Types 
	(Type, 						Kind)
VALUES 	('QUO_TRAIT_CAN_BUILD_TEMPLO_MAYOR', 		'KIND_TRAIT') ;


INSERT INTO Traits 
	(TraitType,				Name,							Description,						InternalOnly)
VALUES ('QUO_TRAIT_CAN_BUILD_TEMPLO_MAYOR',	'LOC_QUO_TRAIT_CAN_BUILD_TEMPLO_MAYOR_NAME',		'LOC_QUO_TRAIT_CAN_BUILD_TEMPLO_MAYOR_DESCRIPTION',	0) ;


INSERT INTO CivilizationTraits 
	(CivilizationType, 		TraitType)
SELECT 	'CIVILIZATION_AZTEC',	'QUO_TRAIT_CAN_BUILD_TEMPLO_MAYOR'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AZTEC' ;


INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_BUILDING_TEMPLO_MAYOR',	'KIND_BUILDING'	) ;


-- so I should probably have just put all the right values in here in the first-go round, but this took a while so was lazy and just inserted wrong data and then corrected it below
INSERT INTO Buildings 
	(BuildingType,Name,PrereqTech,PrereqCivic,Cost,MaxPlayerInstances,MaxWorldInstances,Capital,PrereqDistrict,AdjacentDistrict,Description,RequiresPlacement,RequiresRiver,OuterDefenseHitPoints,Housing,Entertainment,AdjacentResource,Coast,EnabledByReligion,AllowsHolyCity,PurchaseYield,MustPurchase,Maintenance,IsWonder,TraitType,OuterDefenseStrength,CitizenSlots,MustBeLake,MustNotBeLake,RegionalRange,AdjacentToMountain,ObsoleteEra,RequiresReligion,GrantFortification,DefenseModifier,InternalOnly,RequiresAdjacentRiver,Quote,QuoteAudio,MustBeAdjacentLand,AdvisorType)
SELECT 'QUO_BUILDING_TEMPLO_MAYOR','QUO_LOC_TEMPLO_MAYOR_NAME',NULL,'CIVIC_DIVINE_RIGHT',710,-1,-1,0,NULL,NULL,NULL,0,0,NULL,0,1,NULL,NULL,0,0,NULL,0,1,0,NULL,0,NULL,0,0,0,0,'NO_ERA',0,0,0,0,0,NULL,NULL,0,'ADVISOR_GENERIC'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AZTEC' ;


UPDATE Buildings SET MaxPlayerInstances='1' WHERE BuildingType='QUO_BUILDING_TEMPLO_MAYOR' ;
UPDATE Buildings SET IsWonder='1' WHERE BuildingType='QUO_BUILDING_TEMPLO_MAYOR' ;
UPDATE Buildings SET RequiresPlacement='1' WHERE BuildingType='QUO_BUILDING_TEMPLO_MAYOR' ;
UPDATE Buildings SET Description='QUO_LOC_TEMPLO_MAYOR_DESCRIPTION' WHERE BuildingType='QUO_BUILDING_TEMPLO_MAYOR' ;
UPDATE Buildings SET TraitType='QUO_TRAIT_CAN_BUILD_TEMPLO_MAYOR' WHERE BuildingType='QUO_BUILDING_TEMPLO_MAYOR' ;
UPDATE Buildings SET AllowsHolyCity='1' WHERE BuildingType='QUO_BUILDING_TEMPLO_MAYOR' ;




-- Half off the Aztec unique building after building the main temple

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AZTEC_CHEAP_TLACHTLI', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_AZTEC_CHEAP_TLACHTLI', 	'Amount', 	'ARGTYPE_IDENTITY', 	'50',			NULL, 	NULL) , 
	('QUO_AZTEC_CHEAP_TLACHTLI', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_TLACHTLI',	NULL, 	NULL) ;


INSERT INTO BuildingModifiers
	(BuildingType, 			ModifierID)
VALUES	('QUO_BUILDING_TEMPLO_MAYOR',	'QUO_AZTEC_CHEAP_TLACHTLI') ;



-- Receive a free unit when you complete an Entertainment District, after Templo Mayor is built
-- Blah. Not crazy about this one, so removed until can be reused elsewhere.

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AZTEC_FREE_UNIT', 'MODIFIER_PLAYER_DISTRICT_CREATE_UNIT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_AZTEC_FREE_UNIT', 	'DistrictType', 'ARGTYPE_IDENTITY', 	'DISTRICT_ENTERTAINMENT_COMPLEX',	NULL, 	NULL) ,  
	('QUO_AZTEC_FREE_UNIT', 	'UnitType', 	'ARGTYPE_IDENTITY', 	'UNIT_BATTERING_RAM',		NULL, 	NULL) ;

INSERT INTO BuildingModifiers
	(BuildingType, 			ModifierID)
VALUES	('QUO_BUILDING_TEMPLO_MAYOR',	'QUO_AZTEC_FREE_UNIT') ;

*/

-- The Tribute unit
-- Removed in place of just lowering the number of charges that Builders get, which avoids a whole host of issues.
-- Assets still exist in other files in case this can be reused somewhere.

/*
INSERT INTO Types
	(Type, 				Kind)
VALUES 	('QUO_UNIT_TRIBUTE',		'KIND_UNIT'	) ;


INSERT INTO Units
	(UnitType,Name,BaseSightRange,BaseMoves,Combat,RangedCombat,Range,Bombard,Domain,FormationClass,Cost,PopulationCost,FoundCity,FoundReligion,MakeTradeRoute,EvangelizeBelief,LaunchInquisition,RequiresInquisition,BuildCharges,ReligiousStrength,ReligionEvictPercent,SpreadCharges,ExtractsArtifacts,Description,Flavor,CanCapture,CanRetreatWhenCaptured,TraitType,AllowBarbarians,CostProgressionModel,CostProgressionParam1,PromotionClass,InitialLevel,NumRandomChoices,PrereqTech,PrereqCivic,PrereqDistrict,PrereqPopulation,LeaderType,CanTrain,StrategicResource,PurchaseYield,MustPurchase,Maintenance,Stackable,AirSlots,CanTargetAir,PseudoYieldType,ZoneOfControl,AntiAirCombat,Spy,WMDCapable,ParkCharges,IgnoreMoves,TeamVisibility,ObsoleteTech,ObsoleteCivic,MandatoryObsoleteTech,MandatoryObsoleteCivic,AdvisorType)
VALUES	('QUO_UNIT_TRIBUTE','QUO_LOC_UNIT_TRIBUTE_NAME',5,10,0,0,0,0,'DOMAIN_LAND','FORMATION_CLASS_CIVILIAN',1,NULL,0,0,0,0,0,0,0,100,0,3,0,'QUO_LOC_UNIT_TRIBUTE_DESCRIPTION',NULL,0,0,NULL,0,'COST_PROGRESSION_PREVIOUS_COPIES',6,NULL,1,0,NULL,NULL,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,'PSEUDOYIELD_UNIT_RELIGIOUS',0,0,0,0,0,0,0,NULL,NULL,NULL,NULL,NULL) ;
*/


-- 

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AZTEC_BUILDER_NERF', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 0, 0, NULL, NULL) ,
	('QUO_AZTEC_BUILDER_NERF_UNDO', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 0, 0, NULL, NULL);


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 				Value, 		Extra, 	SecondExtra)
VALUES	('QUO_AZTEC_BUILDER_NERF', 	'Amount', 	'ARGTYPE_IDENTITY', 		'-1',		NULL, 	NULL) , 
	('QUO_AZTEC_BUILDER_NERF_UNDO', 	'Amount', 	'ARGTYPE_IDENTITY', 	'1',	NULL, 	NULL);


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT 'TRAIT_CIVILIZATION_LEGEND_FIVE_SUNS',	'QUO_AZTEC_BUILDER_NERF' 
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AZTEC' ;


INSERT INTO BuildingModifiers
	(BuildingType, 			ModifierID)
SELECT 'QUO_BUILDING_TEMPLO_MAYOR',	'QUO_AZTEC_BUILDER_NERF_UNDO' 
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AZTEC' ;


INSERT INTO Building_YieldChanges
	(BuildingType,			YieldType, 	YieldChange)
VALUES	('QUO_BUILDING_TEMPLO_MAYOR', 	'YIELD_FOOD',	-4	) ;


	

-- The global debuff

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_AZTEC_SACRIFICE_GLOBAL', 'MODIFIER_ALL_PLAYERS_ATTACH_MODIFIER', 0, 0, NULL, 'PLAYER_SAME_HOME_CONTINENT') ,
	('QUO_AZTEC_SACRIFICE_DEBUFF', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 0, 0, NULL, NULL) ;
*/



-- UPDATE BUG TRACKER
-- This code should go last in every file
UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Civ_Code';

