/*
    Created by Quo
*/
 


-- LOGS
-- Debug
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Policies_Code',	'1',	'0',		'') ;

-- SURVEY


-- Allow Scouts to ignore rivers and ZOC

INSERT INTO Modifiers 
	(ModifierId, 	ModifierType, 	RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_SCOUTS_IGNORE_ZOC', 	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_ZOC', 0, 0, NULL, NULL) ,
	('QUO_SCOUTS_IGNORE_RIV', 	'MODIFIER_PLAYER_UNIT_ADJUST_IGNORE_RIVERS', 0, 0, NULL, NULL) ,
	('QUO_SCOUTS_IGNORE_ZOC_2', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS') ,
	('QUO_SCOUTS_IGNORE_RIV_2', 	'MODIFIER_PLAYER_UNITS_ATTACH_MODIFIER', 0, 0, NULL, 'SURVEY_RECONUNITEXPERIENCE_REQUIREMENTS') ;



INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 					Extra, 	SecondExtra)
VALUES	('QUO_SCOUTS_IGNORE_ZOC', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ,	
	('QUO_SCOUTS_IGNORE_ZOC_2', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SCOUTS_IGNORE_ZOC',		NULL, 	NULL) , 
	('QUO_SCOUTS_IGNORE_RIV', 	'Ignore', 	'ARGTYPE_IDENTITY', 	'1',					NULL, 	NULL) ,	
	('QUO_SCOUTS_IGNORE_RIV_2', 	'ModifierId', 	'ARGTYPE_IDENTITY', 	'QUO_SCOUTS_IGNORE_RIV',		NULL, 	NULL) ;


INSERT INTO PolicyModifiers
	(PolicyType, 		ModifierId)
VALUES	('POLICY_SURVEY',	'QUO_SCOUTS_IGNORE_ZOC_2') ,
	('POLICY_SURVEY',	'QUO_SCOUTS_IGNORE_RIV_2') ;




-- URBAN PLANNING

-- Make Granaries cheaper

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_CHEAP_GRANARY', 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 			Name, 		Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_CHEAP_GRANARY', 	'Amount', 	'ARGTYPE_IDENTITY', 	'100',			NULL, 	NULL) , 
	('QUO_CHEAP_GRANARY', 	'BuildingType', 'ARGTYPE_IDENTITY', 	'BUILDING_GRANARY',	NULL, 	NULL) ;


INSERT INTO PolicyModifiers
	(PolicyType, 			ModifierId)
VALUES	('POLICY_URBAN_PLANNING',	'QUO_CHEAP_GRANARY') ;



-- POLICY_DIPLOMATIC_LEAGUE (Each envoy you send counts as 2)
-- Unlock at Foreign Trade
UPDATE Policies SET PrereqCivic='CIVIC_FOREIGN_TRADE' WHERE PolicyType='POLICY_DIPLOMATIC_LEAGUE' ;




-- SACK, RAID, AND TOTAL WAR

-- Eliminate Sack and Raid and just make Total War replace them entirely
-- Don't want to delete them because unsure what references there are to these objects. Instead just make them obsolete.



-- work in progress
/*
UPDATE ObsoletePolicies SET ObsoletePolicy='POLICY_DISCIPLINE' WHERE PolicyType='POLICY_RAID' ;
UPDATE ObsoletePolicies SET ObsoletePolicy='POLICY_DISCIPLINE' WHERE PolicyType='POLICY_SACK' ;

UPDATE Policies SET PrereqCivic='CIVIC_MILITARY_TRAINING' WHERE PolicyType='POLICY_TOTAL_WAR' ;
*/



-- Swap Veterancy and Strategos

UPDATE Policies SET PrereqCivic='CIVIC_MILITARY_TRADITION' WHERE PolicyType='POLICY_VETERANCY' ;
UPDATE Policies SET PrereqCivic='CIVIC_MILITARY_TRAINING' WHERE PolicyType='POLICY_STRATEGOS' ;




-- INSULAE, MEDINA QUARTER, NEW DEAL
-- Remove District requirements

UPDATE Modifiers SET SubjectRequirementSetId=NULL WHERE ModifierId='INSULAE_SPECIALTYHOUSING' ;
UPDATE Modifiers SET SubjectRequirementSetId=NULL WHERE ModifierId='MEDINAQUARTER_SPECIALTYHOUSING' ;
UPDATE Modifiers SET SubjectRequirementSetId=NULL WHERE ModifierId='NEWDEAL_SPECIALTYHOUSING' ;



-- WONDER BUILDING POLICIES

-- CORVEE, GOTHIC ARCHITECTURE, SKYSCRAPERS
-- Because we don't know if the player has installed DLC, we have to scan the database and find any wonders they might be able to build that these policies should boost


-- Create a temp table of every modifier tied to a policy known to affect wonder costs

CREATE TEMPORARY TABLE Quo_Tbl_Modifier_Wonders AS SELECT Modifiers.ModifierId
                                                     FROM Buildings
                                                          INNER JOIN
                                                          ModifierArguments ON Buildings.BuildingType = ModifierArguments.Value
                                                          INNER JOIN
                                                          Modifiers ON ModifierArguments.ModifierId = Modifiers.Modifierid
                                                          INNER JOIN
                                                          PolicyModifiers ON Modifiers.ModifierId = PolicyModifiers.ModifierId
                                                    WHERE (Buildings.IsWonder = '1' AND 
                                                           Modifiers.ModifierType = 'MODIFIER_PLAYER_CITIES_ADJUST_BUILDING_PRODUCTION') AND 
                                                          (PolicyModifiers.PolicyType = 'POLICY_CORVEE' OR 
                                                           PolicyModifiers.PolicyType = 'POLICY_GOTHIC_ARCHITECTURE' OR 
                                                           PolicyModifiers.PolicyType = 'POLICY_SKYSCRAPERS');

-- Update the arguments for each of the modifiers

UPDATE ModifierArguments
   SET Value = '30'
 WHERE ModifierArguments.ModifierId IN Quo_Tbl_Modifier_Wonders AND ModifierArguments.Name='Amount';


-- DROP TABLE Quo_Tbl_Modifier_Wonders;



-- COLONIAL OFFICES

-- Increase the bonus for foreign continent growth from 15 to 50

UPDATE ModifierArguments SET Value='50' WHERE ModifierId='COLONIALOFFICES_FOREIGNGROWTH' AND Name='Amount' ;




-- BASTIONS



-- Bastions policy grants Urban Defenses

INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_BASTIONS_URBAN_DEFENSES', 'MODIFIER_PLAYER_GRANT_CITIES_URBAN_DEFENSES', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 		Extra, 	SecondExtra)
VALUES	('QUO_BASTIONS_URBAN_DEFENSES', 	'DefenseValue', 	'ARGTYPE_IDENTITY', 	'10',		NULL, 	NULL) ;


INSERT INTO PolicyModifiers
	(PolicyType, 			ModifierID)
VALUES	('POLICY_BASTIONS',		'QUO_BASTIONS_URBAN_DEFENSES') ;



-- This used to be a Hardcore rule, but now Bastions appears much later for all players
UPDATE Policies SET PrereqCivic='CIVIC_TOTALITARIANISM' WHERE PolicyType='POLICY_BASTIONS' ;






-- UPDATE BUG TRACKER
-- This code should go last in every file


UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Policies_Code';