/*
    Created by Quo
*/
 

-- RULES FOR HARDCORE ONLY


-- Debug
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Resources_Code',	'1',	'0',		'') ;


-- RESOURCE REQUIREMENTS TO BUILD UNITS
-- Now possible to build units with just one copy of a resource

UPDATE GlobalParameters SET Value='1' WHERE Name='STRATEGIC_RESOURCE_MINIMUM_FOR_PRODUCTION_ANYWHERE' ;
UPDATE GlobalParameters SET Value='1' WHERE Name='STRATEGIC_RESOURCE_MINIMUM_FOR_PURCHASE_ANYWHERE' ;




-- MONOPOLY BUILDINGS



-- create a list of resources
CREATE TEMPORARY TABLE tbl_quoMonopolyResources AS SELECT ResourceType
                                                   FROM Resources
                                                  WHERE ResourceClassType = 'RESOURCECLASS_LUXURY' AND 
                                                        Frequency > 0;
														

														
-- Expo buildings. Each one gets a concat name, similar to QUO_BUILDING_MONOPOLY_RESOURCE_CITRUS
-- This building is unbuildable using ordinary means. It is only applied and taken away using Lua.


INSERT INTO Types
        (Type, 				Kind)
SELECT 'QUO_BUILDING_MONOPOLY_' || tbl_quoMonopolyResources.ResourceType, 	'KIND_BUILDING' 
FROM tbl_quoMonopolyResources ;


INSERT INTO Buildings
		(BuildingType, 									Name,						EnabledByReligion, 			Cost, 	PurchaseYield,  PrereqDistrict,				ObsoleteEra,	TraitType, MustPurchase)
SELECT 	'QUO_BUILDING_MONOPOLY_' || tbl_quoMonopolyResources.ResourceType ,			'LOC_QUO_BUILDING_MONOPOLY_' || tbl_quoMonopolyResources.ResourceType, 	1,							99999,	NULL, 			'DISTRICT_CITY_CENTER', 	'NO_ERA', NULL, 1 
FROM tbl_quoMonopolyResources ;










/*
CREATE TEMPORARY TABLE tbl_quoMonopolyResource_YieldChanges AS 
SELECT Resources.ResourceType, Resource_YieldChanges.YieldType, Resource_YieldChanges.YieldChange
FROM Resource_YieldChanges
LEFT JOIN Resources on Resources.ResourceType = Resource_YieldChanges.ResourceType
WHERE ResourceClassType = 'RESOURCECLASS_LUXURY' 
AND Frequency > 0 ;
*/


-- Deal with resources that have multiple yields


/*
create temporary table tbl_Quo_2_Up as 
SELECT Resources.ResourceType, Resource_YieldChanges.YieldType, Resource_YieldChanges.YieldChange
FROM Resource_YieldChanges
LEFT JOIN Resources on Resources.ResourceType = Resource_YieldChanges.ResourceType
WHERE ResourceClassType = 'RESOURCECLASS_LUXURY' AND 
Frequency > 0 AND
resource_yieldchanges.YieldChange >= 2 ;


create temporary table tbl_Quo_3_Up as 
SELECT Resources.ResourceType, Resource_YieldChanges.YieldType, Resource_YieldChanges.YieldChange
FROM Resource_YieldChanges
LEFT JOIN Resources on Resources.ResourceType = Resource_YieldChanges.ResourceType
WHERE ResourceClassType = 'RESOURCECLASS_LUXURY' AND 
Frequency > 0 AND
resource_yieldchanges.YieldChange >= 3 ;

INSERT INTO tbl_quoMonopolyResource_YieldChanges
SELECT * FROM  tbl_Quo_2_Up ;


INSERT INTO tbl_quoMonopolyResource_YieldChanges
SELECT * FROM  tbl_Quo_3_Up ;
*/

CREATE TEMPORARY TABLE tbl_quoMonopolyResource_YieldChanges 
	(ResourceType, YieldType) ;


-- Bonuses are now hard-coded instead of based on database lookups
	
-- Dont delete this table, it is used again further down to establish Victory conditions
INSERT INTO tbl_quoMonopolyResource_YieldChanges 
		(ResourceType, YieldType) 
VALUES ('RESOURCE_CITRUS', 'YIELD_FOOD') ,
 ('RESOURCE_COCOA', 'YIELD_GOLD'),
 ('RESOURCE_COFFEE', 'YIELD_CULTURE') ,
 ('RESOURCE_COTTON', 'YIELD_GOLD') ,
 ('RESOURCE_DIAMONDS', 'YIELD_GOLD') ,
 ('RESOURCE_DYES', 'YIELD_FAITH') ,
 ('RESOURCE_FURS', 'YIELD_GOLD') ,
 ('RESOURCE_GYPSUM', 'YIELD_PRODUCTION') ,
 ('RESOURCE_INCENSE', 'YIELD_FAITH') ,
 ('RESOURCE_IVORY', 'YIELD_PRODUCTION') ,
 ('RESOURCE_JADE', 'YIELD_CULTURE') ,
 ('RESOURCE_MARBLE', 'YIELD_CULTURE') ,
 ('RESOURCE_MERCURY', 'YIELD_SCIENCE') ,
 ('RESOURCE_PEARLS', 'YIELD_FAITH'),
 ('RESOURCE_SALT', 'YIELD_FOOD'),
 ('RESOURCE_SILK', 'YIELD_CULTURE') ,
 ('RESOURCE_SILVER', 'YIELD_GOLD') ,
 ('RESOURCE_SPICES', 'YIELD_FOOD') ,
 ('RESOURCE_SUGAR', 'YIELD_FOOD') ,
 ('RESOURCE_TEA', 'YIELD_SCIENCE') ,
 ('RESOURCE_TOBACCO', 'YIELD_FAITH') ,
 ('RESOURCE_TRUFFLES', 'YIELD_GOLD') ,
 ('RESOURCE_WHALES', 'YIELD_FAITH') ,
 ('RESOURCE_WINE', 'YIELD_FOOD') ;


	
INSERT INTO Requirements
		(RequirementId, 								RequirementType, 				Likeliness,	Inverse, 	Triggered)
VALUES	('QUO_REQ_CITY_HAS_ENTERTAINMENT_COMPLEX', 	'REQUIREMENT_CITY_HAS_DISTRICT',	0,0,0) ;

INSERT INTO RequirementArguments 
	(RequirementId,			Name, 			Type, 			Value, 				Extra, 	SecondExtra)
VALUES 	('QUO_REQ_CITY_HAS_ENTERTAINMENT_COMPLEX',	'DistrictType',		'ARGTYPE_IDENTITY',	'DISTRICT_ENTERTAINMENT_COMPLEX',	NULL,	NULL 	) ;


INSERT INTO RequirementSets 
	(RequirementSetId, 				RequirementSetType)
VALUES 	('QUO_REQSET_CITY_CAN_HOST_FESTIVAL', 	'REQUIREMENTSET_TEST_ALL') ;


INSERT INTO RequirementSetRequirements
	(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_CITY_CAN_HOST_FESTIVAL', 	'QUO_REQ_CITY_HAS_ENTERTAINMENT_COMPLEX') ;

INSERT INTO Modifiers 
		(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MONOPOLY_CULTURE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'QUO_REQSET_CITY_CAN_HOST_FESTIVAL') ,
		('QUO_MONOPOLY_GOLD', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'QUO_REQSET_CITY_CAN_HOST_FESTIVAL') ,
		('QUO_MONOPOLY_FAITH', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'QUO_REQSET_CITY_CAN_HOST_FESTIVAL') ,
		('QUO_MONOPOLY_SCIENCE', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'QUO_REQSET_CITY_CAN_HOST_FESTIVAL') ,
		('QUO_MONOPOLY_FOOD', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'QUO_REQSET_CITY_CAN_HOST_FESTIVAL') , 
		('QUO_MONOPOLY_PRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER', 0, 0, NULL, 'QUO_REQSET_CITY_CAN_HOST_FESTIVAL') ;


INSERT INTO ModifierArguments
		(ModifierId, 				Name, 		Type, 					Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MONOPOLY_CULTURE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
		('QUO_MONOPOLY_CULTURE', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_CULTURE',			NULL, 	NULL) ,
		('QUO_MONOPOLY_GOLD', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
		('QUO_MONOPOLY_GOLD', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_GOLD',			NULL, 	NULL) ,
		('QUO_MONOPOLY_FAITH', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
		('QUO_MONOPOLY_FAITH', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FAITH',			NULL, 	NULL) ,
		('QUO_MONOPOLY_SCIENCE', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
		('QUO_MONOPOLY_SCIENCE', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_SCIENCE',			NULL, 	NULL) ,
		('QUO_MONOPOLY_FOOD', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
		('QUO_MONOPOLY_FOOD', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_FOOD',			NULL, 	NULL) ,
		('QUO_MONOPOLY_PRODUCTION', 	'Amount', 	'ARGTYPE_IDENTITY', 	'5',			NULL, 	NULL) , 
		('QUO_MONOPOLY_PRODUCTION', 	'YieldType', 	'ARGTYPE_IDENTITY', 	'YIELD_PRODUCTION',			NULL, 	NULL) ;
		
INSERT INTO BuildingModifiers
		(BuildingType, ModifierId)
SELECT 	'QUO_BUILDING_MONOPOLY_' || ResourceType, 'QUO_MONOPOLY_CULTURE'
FROM 	tbl_quoMonopolyResource_YieldChanges where YieldType = 'YIELD_CULTURE' ;

INSERT INTO BuildingModifiers
		(BuildingType, ModifierId)
SELECT 	'QUO_BUILDING_MONOPOLY_' || ResourceType, 'QUO_MONOPOLY_GOLD'
FROM 	tbl_quoMonopolyResource_YieldChanges where YieldType = 'YIELD_GOLD' ;

INSERT INTO BuildingModifiers
		(BuildingType, ModifierId)
SELECT 	'QUO_BUILDING_MONOPOLY_' || ResourceType, 'QUO_MONOPOLY_FAITH'
FROM 	tbl_quoMonopolyResource_YieldChanges where YieldType = 'YIELD_FAITH' ;

INSERT INTO BuildingModifiers
		(BuildingType, ModifierId)
SELECT 	'QUO_BUILDING_MONOPOLY_' || ResourceType, 'QUO_MONOPOLY_SCIENCE'
FROM 	tbl_quoMonopolyResource_YieldChanges where YieldType = 'YIELD_SCIENCE' ;

INSERT INTO BuildingModifiers
		(BuildingType, ModifierId)
SELECT 	'QUO_BUILDING_MONOPOLY_' || ResourceType, 'QUO_MONOPOLY_FOOD'
FROM 	tbl_quoMonopolyResource_YieldChanges where YieldType = 'YIELD_FOOD' ;

INSERT INTO BuildingModifiers
		(BuildingType, ModifierId)
SELECT 	'QUO_BUILDING_MONOPOLY_' || ResourceType, 'QUO_MONOPOLY_PRODUCTION'
FROM 	tbl_quoMonopolyResource_YieldChanges where YieldType = 'YIELD_PRODUCTION' ;



-- Notifications
-- Doesn't actually work yet...

INSERT INTO EventPopupData (
                               Type,
                               Title,
                               Description,
                               BackgroundImage,
                               ForegroundImage,
                               Effects,
                               ImageText,
                               FilterCondition,
                               EffectType
                           )
                           VALUES (
                               'QUO_MONOPOLY_POPUP',
                               'LOC_QUO_MONOPOLY_NOTICE_TITLE',
                               'LOC_QUO_MONOPOLY_NOTICE_DESC',
                               'AustraliaScenario_EventBG_AusPolitic',
                               '',
                               NULL,
                               'ImageText',
                               'ANY',
                               NULL
                           );



/* 
Set all standard units that seem like they should require horses actually require them. Skip over any that have a trait type, because
those units are unique to a civ.
*/
/*
CREATE TEMPORARY TABLE Quo_Tbl_Pre_Modern_Cavalry AS SELECT Units.UnitType
  FROM Units
       INNER JOIN
       Technologies ON Technologies.TechnologyType = Units.PrereqTech
       INNER JOIN
       Eras ON Eras.EraType = Technologies.EraType
 WHERE Eras.ChronologyIndex <= 5 AND 
       Units.TraitType IS NULL AND Units.PromotionClass IN ('PROMOTION_CLASS_LIGHT_CAVALRY', 'PROMOTION_CLASS_HEAVY_CAVALRY');


UPDATE Units
   SET StrategicResource = 'RESOURCE_HORSES'
WHERE Units.UnitType IN Quo_Tbl_Pre_Modern_Cavalry ;
*/

-- Give every civ Horses, then take it away from the Aztecs

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_FREE_HORSES', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_FREE_HORSES', 		'Amount', 		'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
	('QUO_MOD_FREE_HORSES', 		'ResourceType', 	'ARGTYPE_IDENTITY', 	'RESOURCE_HORSES',	NULL, 	NULL) ;





-- For known civs, assign the ability to build horses directly to their existing traits, so it doesn't show up on the loading screen.

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
VALUES	('TRAIT_CIVILIZATION_FOUNDING_FATHERS', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_LAST_PROPHET', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_AMAZON', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_DYNASTIC_CYCLE', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_DOUBLE_ARCHAEOLOGY_SLOTS', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_WONDER_TOURISM', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_IMPERIAL_FREE_CITIES', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_PLATOS_REPUBLIC', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_DHARMA', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_ADJACENT_DISTRICTS', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_NKISI', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_EARLY_OCEAN_NAVIGATION', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_ALL_ROADS_TO_ROME', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_MOTHER_RUSSIA', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_EXTRA_LIGHT_CAVALRY', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_TREASURE_FLEET', 'QUO_MOD_FREE_HORSES'),
	('TRAIT_CIVILIZATION_FIRST_CIVILIZATION', 'QUO_MOD_FREE_HORSES') ,
	('TRAIT_CIVILIZATION_ITERU',	'QUO_MOD_FREE_HORSES') ;


-- DLC Civs

-- skip Aztec obviously since we do not want them to get horses

INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT	'TRAIT_CIVILIZATION_GOLDEN_LIBERTY', 'QUO_MOD_FREE_HORSES'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_POLAND' ;
 	
	
INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT	'TRAIT_CIVILIZATION_LAND_DOWN_UNDER', 'QUO_MOD_FREE_HORSES'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AUSTRALIA' ;




-- Now we just have to worry about custom civs the player has installed. To make this work, we have to force a Trait on them
-- It will show in the game screen, but at least player will know we modded their custom civ.

INSERT INTO Types
	(Type, 						Kind)
VALUES 	('QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS',		'KIND_TRAIT') ;

INSERT INTO Traits 
		(TraitType,			Name,						Description,						InternalOnly)
VALUES 	('QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS',		'QUO_LOC_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS_NAME',	'QUO_LOC_TRAIT_MOD_CIV_BUILD_HORSE_UNITS_DESCRIPTION',	1);


INSERT INTO TraitModifiers
		(TraitType, 									ModifierID)
VALUES	('QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS',		'QUO_MOD_FREE_HORSES') ;



CREATE TEMPORARY TABLE tbl_Quo_Horses_Unhandled_Civs AS
SELECT Civilizations.CivilizationType FROM Civilizations; 

DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_AMERICA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_ARABIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_BRAZIL' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_CHINA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_ENGLAND' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_EGYPT' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_FRANCE' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_GERMANY' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_GREECE' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_INDIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_JAPAN' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_KONGO' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_NORWAY' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_ROME' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_RUSSIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_SCYTHIA' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_SPAIN' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_SUMERIA' ;

-- DLC
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_AZTEC' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_POLAND' ;
DELETE FROM tbl_Quo_Horses_Unhandled_Civs WHERE CivilizationType='CIVILIZATION_AUSTRALIA' ;


INSERT INTO CivilizationTraits
	(CivilizationType, 			TraitType)
SELECT 	tbl_Quo_Horses_Unhandled_Civs.CivilizationType, 	'QUO_TRAIT_CAN_MOD_CIV_BUILD_HORSE_UNITS'
FROM tbl_Quo_Horses_Unhandled_Civs ;



/*
-- Remove Horses from the map, increase sheep and cattle to compensate

UPDATE Resources SET Frequency=0 WHERE ResourceType='RESOURCE_HORSES' ;

UPDATE Resources SET Frequency=Frequency*2 WHERE ResourceType='RESOURCE_CATTLE' ;
UPDATE Resources SET Frequency=Frequency*2 WHERE ResourceType='RESOURCE_SHEEP' ;
*/


-- AZTEC JADE
-- Give the Aztecs free Jade. Done here instead of in the Civs file because only makes sense in the context of resources

/*
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_FREE_JADE', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_FREE_JADE', 		'Amount', 		'ARGTYPE_IDENTITY', 	'2',			NULL, 	NULL) , 
	('QUO_MOD_FREE_JADE', 		'ResourceType', 	'ARGTYPE_IDENTITY', 	'RESOURCE_JADE',	NULL, 	NULL) ;


INSERT INTO TraitModifiers
	(TraitType, 			ModifierID)
SELECT	'TRAIT_CIVILIZATION_LEGEND_FIVE_SUNS', 'QUO_MOD_FREE_JADE'
	FROM Civilizations WHERE Civilizations.CivilizationType = 'CIVILIZATION_AZTEC' ;

*/


-- Make Jade a Bonus resource rather than a Luxury. It still provides +4 amenities.
-- Move it to Deserts
-- Removed, there are better ways to accomplish this
/*
UPDATE Resources SET ResourceClassType='RESOURCECLASS_BONUS' WHERE ResourceType='RESOURCE_JADE' ;
DELETE FROM Resource_ValidTerrains WHERE ResourceType='RESOURCE_JADE' AND TerrainType='TERRAIN_PLAINS' ;
DELETE FROM Resource_ValidTerrains WHERE ResourceType='RESOURCE_JADE' AND TerrainType='TERRAIN_GRASS' ;

INSERT INTO Resource_ValidTerrains
	(ResourceType, 		TerrainType)
VALUES	('RESOURCE_JADE',	'TERRAIN_DESERT_HILLS'),
	('RESOURCE_JADE',	'TERRAIN_DESERT') ,
	('RESOURCE_JADE',	'TERRAIN_SNOW') ;
*/

-- Update the Eagle Warrior so it requires Jade, and is no longer unique to the Aztecs

-- UPDATE Units SET StrategicResource='QUO_RESOURCE_JADE', TraitType=NULL, PrereqCivic='CIVIC_MILITARY_TRADITION' WHERE UnitType='UNIT_AZTEC_EAGLE_WARRIOR' ;
-- DELETE FROM UnitReplaces WHERE CivUniqueUnitType='UNIT_AZTEC_EAGLE_WARRIOR' AND ReplacesUnitType='UNIT_WARRIOR' ;





-- =============================================================================================================

-- The Resource Victory


INSERT INTO Types
		(Type, 				Kind)
VALUES 	('QUO_RESOURCE_VICTORY',		'KIND_VICTORY'	) ,
		('QUO_RESOURCE_ULTIMA',			'KIND_RESOURCE'	) ,
		('QUO_CIVIC_ULTIMA',			'KIND_CIVIC'	) ,  
		('QUO_PROJECT_RESOURCE_VICTORY',	'KIND_PROJECT'	) ;

		
		
-- Resource Victory building. Only added to cities using Lua.
INSERT INTO Types
        (Type, 					Kind)
VALUES 	('QUO_BUILDING_RESOURCE_VICTORY_WIN', 	'KIND_BUILDING' );


INSERT INTO Buildings
		(BuildingType, 				Name,						EnabledByReligion, 	Cost, 	PurchaseYield,  PrereqDistrict,			ObsoleteEra,	TraitType, 	MustPurchase)
VALUES 		('QUO_BUILDING_RESOURCE_VICTORY_WIN',	'LOC_QUO_BUILDING_RESOURCE_VICTORY_WIN_NAME', 	1,			99999,	NULL, 		'DISTRICT_CITY_CENTER', 	'NO_ERA', 	NULL, 		1 );



-- Create a Requirement for every resource 
-- No longer needed, because the Requirements system isn't flexible enough to count the number of requirements met. Combined with the fact that not all
-- Luxuries are loaded every game, we have to handle this differently.

/*
INSERT INTO Requirements
		(RequirementId, 																RequirementType, 					Likeliness,	Inverse, 	Triggered)
SELECT 	'QUO_REQ_CITY_HAS_EXPO_' || tbl_quoMonopolyResource_YieldChanges.ResourceType, 	'REQUIREMENT_CITY_HAS_BUILDING', 	0,			0,			0 
FROM 	tbl_quoMonopolyResource_YieldChanges;


INSERT INTO RequirementArguments 
		(RequirementId,																	Name, 				Type, 				Value, 																			Extra, 	SecondExtra)
SELECT 	'QUO_REQ_CITY_HAS_EXPO_' || tbl_quoMonopolyResource_YieldChanges.ResourceType,	'BuildingType',		'ARGTYPE_IDENTITY',	'QUO_BUILDING_MONOPOLY_' || tbl_quoMonopolyResource_YieldChanges.ResourceType,	NULL,	NULL 	
FROM 	tbl_quoMonopolyResource_YieldChanges;


INSERT INTO RequirementSets 
		(RequirementSetId, 			RequirementSetType)
VALUES 		('QUO_REQSET_EXPOS', 		'REQUIREMENTSET_TEST_ALL') ;
*/



-- Create a Resource called Ultima, which will be what enables players to build the Project that ends the game
INSERT INTO Resources (
                          ResourceType,
                          Name,
                          ResourceClassType,
                          Happiness,
                          NoRiver,
                          RequiresRiver,
                          Frequency,
                          Clumped,
                          PrereqTech,
                          PrereqCivic,
                          PeakEra,
                          RevealedEra,
                          LakeEligible
                      )
                      VALUES (
                        'QUO_RESOURCE_ULTIMA' -- 'ResourceType',
                        , 'LOC_QUO_RESOURCE_ULTIMA_NAME' --'Name',
                        , 'RESOURCECLASS_LUXURY' -- 'ResourceClassType',
                        , '20' -- 'Happiness',
                        , '0'-- 'NoRiver',
                        , '0'-- 'RequiresRiver',
                        , '0'-- 'Frequency',
                        , '0'-- 'Clumped',
                        , NULL-- 'PrereqTech',
                        , NULL-- 'PrereqCivic',
                        , 'NO_ERA'-- 'PeakEra',
                        , 1-- 'RevealedEra',
                        , 1-- 'LakeEligible'
                      );


					  
-- The resource Building provides free Ultima resource
INSERT INTO Modifiers 
	(ModifierId, ModifierType, RunOnce, Permanent, OwnerRequirementSetId, SubjectRequirementSetId)
VALUES	('QUO_MOD_FREE_ULTIMA', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT', 0, 0, NULL, NULL) ;


INSERT INTO ModifierArguments
	(ModifierId, 				Name, 			Type, 			Value, 			Extra, 	SecondExtra)
VALUES	('QUO_MOD_FREE_ULTIMA', 		'Amount', 		'ARGTYPE_IDENTITY', 	'1',			NULL, 	NULL) , 
	('QUO_MOD_FREE_ULTIMA', 		'ResourceType', 	'ARGTYPE_IDENTITY', 	'QUO_RESOURCE_ULTIMA',	NULL, 	NULL) ;

INSERT INTO BuildingModifiers
		(BuildingType, 			ModifierID)
VALUES	('QUO_BUILDING_RESOURCE_VICTORY_WIN', 'QUO_MOD_FREE_ULTIMA') ;
					  

					  
-- The Project
INSERT INTO Projects (
                         ProjectType,
                         Name,
                         ShortName,
                         Description,
                         PopupText,
                         Cost,
                         CostProgressionModel,
                         CostProgressionParam1,
                         PrereqTech,
                         PrereqCivic,
                         PrereqDistrict,
                         VisualBuildingType,
                         SpaceRace,
                         OuterDefenseRepair,
                         MaxPlayerInstances,
                         AmenitiesWhileActive,
                         PrereqResource,
                         AdvisorType
                     )
                     VALUES (
                         'QUO_PROJECT_RESOURCE_VICTORY' -- 'ProjectType',
                        , 'LOC_QUO_PROJECT_RESOURCE_VICTORY_NAME' -- 'Name',
                        , 'LOC_QUO_PROJECT_RESOURCE_VICTORY_NAME_SHORT' -- 'ShortName',
                        , 'LOC_QUO_PROJECT_RESOURCE_VICTORY_DESCRIPTION' -- 'Description',
                        , NULL -- 'PopupText',
                        , '10' -- 'Cost',
                        , 'NO_PROGRESSION_MODEL'  -- 'CostProgressionModel',
                        , 0 -- 'CostProgressionParam1',
                        , NULL -- 'PrereqTech',
                        , NULL -- 'PrereqCivic',
                        , NULL -- 'PrereqDistrict',
                        , NULL  -- 'VisualBuildingType',
                        , 0 -- 'SpaceRace',
                        , 0 -- 'OuterDefenseRepair',
                        , NULL -- 'MaxPlayerInstances',
                        , 0 -- 'AmenitiesWhileActive',
                        , 'QUO_RESOURCE_ULTIMA' -- 'PrereqResource',
                        , 'ADVISOR_GENERIC' -- 'AdvisorType'
                     );
                     
					 
					 
					  
-- Win requirements 
-- Ideally, this would be set up in a way that allows Teams to win instead of individual Players, 
-- but the way to accomplish that is beyond my ability to currently code or test					  
INSERT INTO Requirements
		(RequirementId, 										RequirementType, 					Likeliness,	Inverse, 	Triggered, Persistent)
VALUES 	('QUO_RESOURCE_VICTORY_PROJECT_COMPLETE', 				'REQUIREMENT_PLAYER_HAS_COMPLETED_PROJECT', 	0,			0,			0, 1) ,
		('QUO_RESOURCE_VICTORY_PER_TEAM_REQUIREMENTS_MET', 		'REQUIREMENT_COLLECTION_ANY_MET', 	0,			0,			0, 0) ;


		
INSERT INTO RequirementArguments 
		(RequirementId,								Name, 						Type, 				Value, 	Extra, 	SecondExtra)
VALUES	('QUO_RESOURCE_VICTORY_PER_TEAM_REQUIREMENTS_MET',	'CollectionType',		'ARGTYPE_IDENTITY',	'COLLECTION_TEAM_PLAYERS',	NULL,	NULL 	),
		('QUO_RESOURCE_VICTORY_PER_TEAM_REQUIREMENTS_MET',	'RequirementSetId',		'ARGTYPE_IDENTITY',	'QUO_REQSET_RESOURCE_VICTORY_PER_TEAM',	NULL,	NULL 	),
		('QUO_RESOURCE_VICTORY_PROJECT_COMPLETE',	'MinimumCompletions',		'ARGTYPE_IDENTITY',	'1',	NULL,	NULL 	),
		('QUO_RESOURCE_VICTORY_PROJECT_COMPLETE',	'ProjectType',				'ARGTYPE_IDENTITY',	'QUO_PROJECT_RESOURCE_VICTORY',	NULL,	NULL 	);
		
		

INSERT INTO RequirementSets 
		(RequirementSetId, 							RequirementSetType)
VALUES 	('QUO_REQSET_RESOURCE_VICTORY', 			'REQUIREMENTSET_TEST_ALL'),
		('QUO_REQSET_RESOURCE_VICTORY_PER_TEAM', 	'REQUIREMENTSET_TEST_ALL') ;
					  

INSERT INTO RequirementSetRequirements
		(RequirementSetId,	RequirementId)
VALUES	('QUO_REQSET_RESOURCE_VICTORY', 	'VICTORY_MIN_MAJOR_TEAMS') , 
		('QUO_REQSET_RESOURCE_VICTORY', 	'QUO_RESOURCE_VICTORY_PER_TEAM_REQUIREMENTS_MET') ,
		('QUO_REQSET_RESOURCE_VICTORY_PER_TEAM', 	'QUO_RESOURCE_VICTORY_PROJECT_COMPLETE') ;
;
					  
					  

INSERT INTO Victories (
                          VictoryType,
                          Name,
                          Blurb,
                          RequirementSetId,
                          EnabledByDefault,
                          Description,
                          Icon
                      )
                      VALUES (
                         'QUO_RESOURCE_VICTORY' -- 'VictoryType'
                         , 'LOC_QUO_RESOURCE_VICTORY_NAME' -- 'Name'
                         , 'LOC_QUO_RESOURCE_VICTORY_BLURB' -- 'Blurb'
                         , 'QUO_REQSET_RESOURCE_VICTORY' -- 'RequirementSetId'
                         , '1' -- 'EnabledByDefault'
                         , NULL -- 'Description'
                         , NULL -- 'Icon'
                      );


					  
-- This doesn't work at all due to how the Civics tree automatically displays any Civic.
/*			  
INSERT INTO Civics (
                       CivicType,
                       Name,
                       Cost,
                       Repeatable,
                       Description,
                       EraType,
                       BarbarianFree,
                       UITreeRow,
                       AdvisorType
                   )
                   VALUES (
                   'QUO_CIVIC_ULTIMA'    -- 'CivicType',
                    , 'LOC_QUO_CIVIC_ULTIMA_NAME'  -- 'Name',
                    , '999999'   -- 'Cost',
                    , '0'   -- 'Repeatable',
                    , 'LOC_QUO_CIVIC_ULTIMA_NAME'   -- 'Description',
                    , 'ERA_INFORMATION'   -- 'EraType',
                    , '0'   -- 'BarbarianFree',
                    , '-2'   -- 'UITreeRow',
                    , 'ADVISOR_GENERIC'   -- 'AdvisorType'
                   );

*/



					 					  
					  
/*
code used for reviewing Victories in database

select * from victories
left join requirementsets on requirementsets.RequirementSetId = victories.RequirementSetId
left join requirementsetrequirements on requirementsetrequirements.RequirementSetId = requirementsets.RequirementSetId
left join requirements on requirements.RequirementId = requirementsetrequirements.RequirementId
left join requirementarguments on requirementarguments.RequirementId = requirements.RequirementId
left join requirementsets as req2 on req2.RequirementSetId = requirementarguments.Value
left join requirementsetrequirements as reqset2 on reqset2.RequirementSetId = req2.RequirementSetId
left join requirements as req_ on req_.RequirementId = reqset2.RequirementId
left join requirementarguments as reqarg2 on reqarg2.RequirementId =  req_.RequirementId
*/






-- ASSORTED RESOURCES
-- Allow Deer to appear near rivers, because deer live near rivers. Make them somewhat more common overall.
UPDATE Resources SET NoRiver='0', Frequency='12' WHERE ResourceType='RESOURCE_DEER' ;



-- Decrease Stone
UPDATE Resources SET Frequency=Frequency*0.5 WHERE ResourceType='RESOURCE_STONE' ;


-- STRATEGIC RESOURCES
-- Increase strategic resources by x2.5
UPDATE Resources SET Frequency=Frequency*2.5 WHERE ResourceClassType= 'RESOURCECLASS_STRATEGIC';

-- Make Iron not suck
UPDATE Resource_YieldChanges SET YieldChange='2' WHERE ResourceType='RESOURCE_IRON' AND YieldType='YIELD_SCIENCE' ;


-- Uranium now appears in water
INSERT INTO Resource_ValidTerrains
	(ResourceType,		TerrainType)
VALUES	('RESOURCE_URANIUM',	'TERRAIN_COAST')  ;



-- UPDATE BUG TRACKER
-- This code should go last in every file


UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Resources_Code';

