/*
	INSTRUCTIONS

	Update the Values below to customize your gameplay experience. 
	Be sure to change only the number that appears after the Value and nothing else in the code.
*/
 
-- LOGS
-- Do not edit this section. It is used for bug tracking purposes.
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('MyOptions',	'1',	'0',		'') ;
 




-- ====== START YOUR EDITING HERE BY ADJUSTING THE NUMBERS THAT APPEAR AFTER THE VALUE FIELD
-- ======================================================================================
-- ==                              QUO MOD OPTIONS                          ==
-- ======================================================================================



-- ================
-- USE HARDCORE RULES FOR TECH AND CULTURE
/* Set Value to enable or disable Hardcore rules. 1= Enable, 0=Disable. */

UPDATE tblQuoOptions
   SET Value = 1
 WHERE OptionID = 'QUO_OPTION_ENABLE_HARDCORE_SCIENCE_RULES' ;



-- =================
-- BORDER SPEED
-- Change the Value below to adjust the border speed discount. The default value for the mod is 500, for an 500% increase.
-- A value of 0 indicates no discount (i.e. use Unmodded rules).

UPDATE tblQuoOptions
   SET Value = 500
 WHERE OptionID = 'QUO_OPTION_BORDER_SPEED_AMOUNT' ;



-- ================
-- MAX BARBARIAN CAMPS PER PLAYER
/*
Change the value below to adjust the maximum number of Barbarian camps allowed per player. In the unmodded game, this
value is 3. The recommended value is 2. A higher number allows more camps per player.
*/

UPDATE tblQuoOptions
   SET Value = 2
 WHERE OptionID = 'QUO_OPTION_MAX_BARB_CAMPS_PER_PLAYER' ;



-- ================
-- MIN DISTANCE TO BARBARIAN CAMPS 
/* Change the value below to adjust the minimum distance in tiles that a Barbarian camp can appear. Note that the game engine 
reduces this distance based on game difficulty. Unmodded value is 4. Recommended value is 6. */

UPDATE tblQuoOptions
   SET Value = 6
 WHERE OptionID = 'QUO_OPTION_MIN_DISTANCE_TO_BARB_CAMPS' ;



 -- ================
-- BARBARIAN XP SOFTCAP
/* Set the Value to the max level you can obtain from fighting Barbarians. Vanilla value is 1. Recommended value is 2. */

UPDATE tblQuoOptions
   SET Value = 2
 WHERE OptionID = 'QUO_OPTION_BARB_XP_SOFTCAP' ;



-- ================
-- REBELLION CHANCE PER POINT OF UNHAPPINESS
/* Set the percent change per point of Happiness of a rebellion happening each turn. Default value is 2. Recommended value is 0.2. 
A higher number means a higher chance of rebellion per turn. */

UPDATE tblQuoOptions
   SET Value = 0.2
 WHERE OptionID = 'QUO_OPTION_REBELLION_CHANCE_PER_POINT' ;
 

 
-- ================
-- SLOW BARBARIAN SCOUTS
/* Set 1 or 0 to enable or disable slowed Barbarian scouts. Barbarian scouts cannot move as many tiles per turn as normal. 1= Enable 0 = Disable.
Recommended setting: 1. */

UPDATE tblQuoOptions
   SET Value = 1
 WHERE OptionID = 'QUO_OPTION_SLOW_BARBARIAN_SCOUTS' ;
 
 

-- ================
-- NUM FREE TOKENS FOR MEETING CITY STATE
/* Set the number of free tokens a player recieves if they are first to meet a city state. Unmodded value is 1. Recommended value is 0. */

UPDATE tblQuoOptions
   SET Value = 0
 WHERE OptionID = 'QUO_OPTION_NUM_FREE_TOKENS_MEET_CITY_STATE' ;
 

 
-- ================
-- DIPLOMACY TIMERS
/* Set Value to the duration that diplomatic actions, such as denouncements, friend pacts, defense pacts, etc should last.
This setting does not affect the duration of trade agreements or open borders, and does not take game speed into account.
The unmodded value is 30. Recommended value for standard speed is 50. */

UPDATE tblQuoOptions
   SET Value = 50
 WHERE OptionID = 'QUO_OPTION_DIPLOMACY_TIMER_DURATION' ;
 
 
-- ======================================================================================
-- ==                              IMPROVEMENTS PATCH OPTIONS                          ==
-- ======================================================================================


-- =================
-- EUREKA AND INSPIRATION BOOST MULTIPLIER
-- Change the Value below to increase or lower the amount of boost that eurekas and inspirations give.
-- The default value for this mod is 0.7, which lowers boost the amount by about 30%
-- A value of zero will eliminate boosts entirely. A value of 1 will use the unmodded Vanilla value.

UPDATE tblQuoOptions
   SET Value = 0.7
 WHERE OptionID = 'XAV_OPTION_BOOST_PENALTY' ;



-- =================
-- TECH AND CIVIC RESEARCH SPEED
/* Change the Value below to indicate whether to use the slower tech speeds from the 
Improvements Patch mod. Turning this on will slightly increase the cost of early techs, and greatly
increase the cost of late techs. 0= Disable. 1= Enable.*/ 

UPDATE tblQuoOptions
   SET Value = 1
 WHERE OptionID = 'XAV_OPTION_USE_SLOWER_TECH_SPEED' ;



-- =================
-- DISTRICT BUILDERS
/*  This setting controls whether Builders are capable of rushing Districts.
1 = Enable, 0 = Disable */
UPDATE tblQuoOptions
   SET Value = 1
 WHERE OptionID = 'XAV_OPTION_CAN_BUILDERS_RUSH_DISTRICTS' ;
 

 
UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='MyOptions';
